About Licensing Guide

This help file contains information on the licensing system of TestComplete 12. It explains how to install, activate and maintain TestComplete licenses. The help file contains the following sections:

Basic Concepts

Describes the basic concepts of the licensing subsystem, the license types, license manager and how it works.

Activating Licenses

Explains how to activate TestComplete licenses.

Upgrading Licenses

Explains the upgrade concepts and describes how to apply the license upgrade.

Renewing Licenses

Explains when you need to renew TestComplete licenses and describes how to do this.

Moving Licenses

Describes how to uninstall a TestComplete license and move it to another computer.

How To

Explains how to perform some specific licensing tasks.

Troubleshooting

Describes possible problems that may occur when activating and using TestComplete licenses.
© 2017 SmartBear Software
Send feedback on this topic


Copyright Notice

© 2017 SmartBear Software. All rights reserved.

No part of this help may be reproduced, stored in any retrieval system, copied or modified, transmitted in any form or by any means electronic or mechanical, including photocopying and recording for purposes others than the purchaser’s personal use.

All SmartBear product names are trademarks or registered trademarks of SmartBear Software. All other trademarks, service marks and trade names mentioned in this Help system or elsewhere in the TestComplete software package are the property of their respective owners.


Contacting SmartBear

See Also
Contact Information

If you have problems with TestComplete licenses or need assistance, contact our Sales Team or Technical Support Team:

Phone: | +1 617-684-2600
Web: | http://support.smartbear.com/message/?prod=TestComplete

If you use the Web form, then when submitting your request, specify the Technical Inquiry | Licensing request type. This will help us process your request faster. We will answer you via email and all further communication will be made via email. However, to start the conversation, please use the Web form.

More Resources

You can also ask questions, search for answers, exchange comments and suggestions on our forums:

http://community.smartbear.com/

You can find answers to your question in the list of the frequently asked questions which is available at:

http://support.smartbear.com/faq

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
About Licensing Guide


Basic Concepts

Topics in this section explain the basic concepts of TestComplete's license system.

TestComplete License Types

Describes TestComplete's license types.

License Manager

Describes TestComplete’s License Manager.

How Licensing Subsystem Works

Explains how the license subsystem functions.

Standalone License Manager Utility

Describes the License Manager utility that can be installed apart from TestComplete.

Activating Multiple Licenses on One License Manager PC

Describes the specifics of using multiple licenses on one License Manager PC.

TestExecute Licenses

Describes the licensing of TestExecute instances.

Emergency License Keys

Explains how you can get emergency license keys in case your License Manager PC is non-functional or damaged.
See also
About Licensing Guide


TestComplete License Types

TestComplete uses two license types: Node-Locked and Floating User.

Node-Locked License

The Node-Locked license is bound to one computer. You can run only one TestComplete instance at a time on this computer.

Do not activate Node-Locked licenses on virtual computers. If you need to run tests on virtual computers, use Floating User licenses or TestExecute.

Note: If you have a trial version of TestComplete (which is always licensed as Node-Locked), you can activate it on virtual computers. However, we do not recommend doing it. For more information, see Using TestComplete on Virtual Machines.
Floating User License

The Floating User license lets you run several TestComplete copies on multiple computers in the local network. The number of copies that can work concurrently is determined by the license key.

When using the Floating User license, you enter the license key on one computer only (License Manager PC, see How Licensing Subsystem Works). There is no need to activate TestComplete on other workstations.

Note on TestComplete Licensing Keys

TestComplete consists of TestComplete Platform and one or several TestComplete Modules - Desktop, Web and Mobile. Each component is licensed separately. If the licenses you have purchased cannot be merged, the Sales Team sends individual keys for TestComplete Platform and Modules. You need to perform the activation procedure for each key you have.

Tip: A license key is bound to the machine after you activate it. Make sure that you activate Node-Locked keys on the appropriate machines.

There are also some specifics of activation of a new license on a computer where another license is active. For more information, see Activating Multiple Licenses on One License Manager PC.

Checking License Types

You can check the type of the license you have on the TestComplete product page of the My SmartBear section of our web site.

See also
Basic Concepts | License Manager | How Licensing Subsystem Works | TestExecute Licenses | Activating Licenses


License Manager

This topic describes the terms and concepts of TestComplete’s License Manager. For information on how it works, see How Licensing Subsystem Works.

About License Manager and License Manager PC

Sentinel LDK License Manager Service

Using Multiple License Keys on One License Manager PC

About License Manager and License Manager PC

To manage licenses, TestComplete uses the following modules and subsystems:

  • TestComplete’s license management subsystem.

  • Sentinel LDK License Manager service.

  • (Optionally) Standalone License Manager utility.

The license management subsystem and the service are always installed along with TestComplete. They are used to search for activated licenses when TestComplete starts and during the TestComplete session. On the computer where a license is activated, these modules also manage license usage. We call them License Manager for short.

The standalone License Manager utility can be installed on a computer where TestComplete is not installed, that is, it lets you install and run the License Manager independently of TestComplete. This utility is used to activate Floating User licenses (see below).

The computer where your license is activated and which controls the license usage is called the License Manager PC (in other words, this is the computer where the License Manager is running).

If you have a Node-Locked license, the License Manager PC is the computer on which TestComplete is installed. The License Manager allows running TestComplete on this computer only.

If you have a Floating User license, TestComplete can run on several workstations on the network. The license can be activated either on one of TestComplete workstations, or on the computer where the standalone License Manager utility is installed (that is, on the computer that has no TestComplete). In other words, if you use Floating User licenses, then, in general, the License Manager PC differs from the computer that has TestComplete installed.

Sentinel LDK License Manager Service

The License Manager uses the Sentinel LDK License Manager service. This service is used both by Node-Locked and Floating User licenses. The service is used for all operations over the licenses: activating, running, updating and moving.

This service must be running in order for TestComplete to be able to start. It must also be running during the whole TestComplete session as TestComplete may send requests to the License Manager during the run.

If you use a Floating User license, this service must be running both on the License Manager PC and on the workstations, on which TestComplete is running.

To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see if the Sentinel LDK License Manager service is running.

Using Multiple License Keys on One License Manager PC

There are some limitations on using multiple licenses on one License Manager PC. For more information on this, see Activating Multiple Licenses on One License Manager PC.

See also
Basic Concepts | TestComplete License Types | How Licensing Subsystem Works | Standalone License Manager Utility


How Licensing Subsystem Works

This topic describes the basic principles of TestComplete’s licensing subsystem. It contains the following sections:

About the Licensing Subsystem

About License Activation

Checking License on Start

Resolving Problems

About the Licensing Subsystem

The licensing subsystem serves for activating licenses, controlling their use and updating license data, when it is needed. The licensing subsystem uses the Sentinel LDK License Manager service. It is part of the TestComplete installation package. It also comes with the standalone License Manager utility. The following images explain how the licensing modules work --

Floating User License

About License Activation

  • Before you can use TestComplete, you should activate your TestComplete license. To do this, you enter the license key and send a request to the SmartBear web site. The site responds with the activation data, and the licensing modules then store this data on your computer. The activation steps to perform depend on the license type and on the activation mode that you choose. For detailed instructions, see Activating Licenses.

    We call the software that controls the license usage a License Manager. The computer, on which you enter the license key and apply the activation data is called the License Manager PC.

  • Depending on the license type that you ordered, you can receive several license keys from SmartBear. You need to activate all these keys.

    Activating several keys on the same machine has some specifics. See Activating Multiple Licenses on One License Manager PC.

  • After the activation, the license gets bound to the License Manager PC. The SmartBear web server will ignore further activation requests from other machines. If you need to uninstall and move the License Manager to another computer, you first have to unbind the license from the current License Manager PC. This enables your license to be activated on another computer.

  • Activate licenses only on physical computers. Use virtual computers only as workstations for running TestComplete instances; do not use them as License Manager PCs. See Using TestComplete on Virtual Machines.

Checking License on Start

After activating a license, you can launch TestComplete. Every time TestComplete starts, it performs the following actions:

  1. It searches for a License Manager with an active license. If it cannot find a License Manager on the local computer (this is possible if you are using a Floating User license), TestComplete searches for a License Manager in the network.

    If you have several License Managers, TestComplete will connect to the first found Manager. If needed, you can modify the search settings and specify the exact License Manager PC to which TestComplete should connect. See Specifying License Manager for Connection.

    For information on typical problems that may occur when checking licenses, see License Check Problems -- Floating User Licenses and License Check Problems -- Node-Locked Licenses.

  2. After TestComplete found the License Manager with an active license, it requests a permission to run. If the number of running TestComplete instances is less than the licensed number, the License Manager allows the run. Otherwise, it forbids the run, and TestComplete continues the search. If the search fails, TestComplete displays a message box that says that TestComplete cannot run.

  3. If the License Manager permits the run, TestComplete starts initializing its plugins. If a plugin controls the use of some core functionality or feature, TestComplete asks the License Manager if it can use that plugin. If the Manager disallows the use of a plugin, TestComplete disables this plugin and displays a message saying that the license for the feature is unavailable. For example, if you have only the Desktop license, the Manager will disable the plugins of the Web and Mobile modules.

After TestComplete initialized the plugins, you can work with it.

Note: TestComplete will not check disabled plugins again. To enable and use a disabled plugin, after you activate an appropriate license, you need to enable the plugin in the TestComplete’s File | Install Extensions dialog manually.

Resolving Problems

For information on possible problems that may occur during TestComplete initial startup, see the Troubleshooting section.

For information on performing specific tasks connected with the License Manager, see the How To section.

See also
Basic Concepts | License Manager | Troubleshooting | How To


Standalone License Manager Utility

Using a Floating User license implies you select a separate computer to be used as the License Manager PC. This computer must meet certain requirements (see Selecting License Manager PC and Floating User License - Requirements). One of these requirements is that the computer must always be available to testers. So, it’s worth it to install the License Manager on a server computer that is always on.

The license management modules are installed along with TestComplete. If you activate TestComplete on the server computer, this means that the server computer will become the License Manager PC and TestComplete’s files and modules will occupy its hard disk space.

To avoid having the entire TestComplete installation on the server, you can install the License Manager as a standalone utility. Its installation package is available for free download on our web site:

http://downloads.smartbear.com/SmartBearLicenseManager.exe

The only purpose of this utility is to activate Floating User licenses and to control their usage. The utility is small and resource-friendly, and does not have any specific system requirements. It can be installed on any, even “weak” computers. The only requirement is that this computer has a network connection. See Floating User License - Requirements for more information.

Important: the License Manager can control only one TestComplete license at a time. For more information about this limitation and about possible workarounds, see Activating Multiple Licenses on One License Manager PC.

Different product licenses, for instance, TestComplete and TestExecute licenses, can be activated on the same computer and one License Manager utility can control the usage of both products.

See also
Basic Concepts | License Manager | Activating Floating User License


Activating Multiple Licenses on One License Manager PC

To simplify license management, you may want to activate several TestComplete licenses on one License Manager PC. The License Manager can either allow or disallow doing this, depending on the type of the existing and new licenses. If license data can be merged, the License Manager permits the activation and merges the data of the new and existing licenses automatically. If the license data cannot be merged, the License Manager refuses to activate the new license. This topic describes the specifics of activation of multiple TestComplete licenses on one computer.

Licenses That Cannot Be Activated if Another License Is Already Active

Licenses That Can Be Activated When Another License Is Active

Activating TestExecute Licenses

Licenses That Cannot Be Activated if Another License Is Already Active

The License Manager does not allow activation of license keys whose data coincides with the data of the existing licenses and can overwrite it:

  • A Node-Locked license cannot be activated if a Floating User license is active and vice versa (Node-Locked and Floating User are different license types that cannot be combined).

  • A Node-Locked license cannot be activated if another Node-Locked license that controls the same set of components is active (Platform and Desktop, Web and Mobile modules). Activating such a license overwrites the existing data.

    Exception: If you try to activate a license key for any TestComplete module (Desktop, Web or Mobile) that has not been activated yet, the activation will be permitted. The resulting license will include a combination of the old and new licenses.

  • A trial license cannot be activated if a commercial license is active.

Licenses That Can Be Activated When Another License Is Active

If the License Manager detects that the new license data can be merged with the existing license data, it allows activating the new license.

Typically, the following licenses can be merged:

  • A Floating User license with another Floating User license.

  • Node-Locked licenses that have different sets of features.

  • A commercial license with a trial license, if the latter is already active.

Although the licenses are merged on the License Manager PC, they are listed in your SmartBear account as individual licenses. If you need to unmerge and move any of the activated licenses to another machine, you need to deactivate all the license keys and then activate them once again on the needed computers.
Note: If you activate a license that have a different set of features than the license that is already activated on that computer, and the licenses are merged, on your TestComplete workstations, enable the modules and plugins provided by the new license manually. To do this, in TestComplete, open the File | Install Extensions dialog and enable the needed module and plugins.

Activating TestExecute Licenses

TestComplete and TestExecute are different products, so their commercial licenses can be activated on the same PC. That is, you can use one computer (server) to manage different licenses.

See also
Basic Concepts | License Manager | TestExecute Licenses


TestExecute Licenses

TestExecute is a resource-friendly utility that is used to run tests on computers, on which TestComplete is not installed. TestExecute is shipped and licensed separately.

To learn more about TestExecute, visit our web site:

http://smartbear.com/testexecute

See also
Basic Concepts | TestComplete License Types | License Manager | Using TestComplete on Virtual Machines


Emergency License Keys

How Emergency Licenses Help You

A license key can be used only once. The license is “bound” to the computer, on which the key is entered (this computer becomes the License Manager PC). You cannot use this key to activate a license on another computer. If the License Manager PC stops functioning you will not be able to start TestComplete and TestExecute instances that are controlled by the License Manager.

Emergency license keys are supposed to be used in unexpected situations, for instance, when the License Manager PC has been stolen, damaged or destroyed. These keys allow you to keep your test environment functioning in these unpredictable situations.

Emergency License Specifics

  • An emergency license is valid within 14 days after activation. Then it will expire.

  • You can obtain an emergency license key only once for a license.

Before Requesting an Emergency License Key

  • If you have a Node-Locked product license, try restoring it with TestComplete’s License Recovery wizard. See License Recovery for step-by-step information.

  • If the wizard does not help, or if you have a Floating User license, then contact the SmartBear Sales Team immediately. The Sales Team will help you resolve the problem with license keys, and you will be able to use the emergency key meanwhile.

Getting an Emergency License

  1. Log into your SmartBear Account:

    https://my.smartbear.com

  2. Go to the TestComplete product page and click Emergency License Key from the menu on the right. Then, follow the instructions that you will see on the screen.

  3. After you get the emergency license key, activate it on a new License Manager PC.

See also
Basic Concepts | TestComplete License Types | License Recovery


Activating Licenses

This section contains topics that explain how to activate TestComplete licenses:

Understanding Activation Procedure

Provides basic information on the activation procedure.

Activating Node-Locked License

Contains topics that describe how to activate Node-Locked licenses of TestComplete.

Activating Floating User License

Contains topics that describe how to activate Floating User licenses of TestComplete.

Manual Activation Procedure

Describes how to activate TestComplete licenses on computers that do no have Internet access.
See also
About Licensing Guide


Understanding the Activation Procedure

The activation procedure is very similar for both Node-Locked licenses and Floating User licenses. The only difference is the computer where you activate the license. In case of a Node-Locked license, this is the computer where you install and run TestComplete. In case of a Floating User license, this can be either one of TestComplete workstations, or a server that has the License Manager utility for activating licenses and controlling their usage.

Depending on what licenses you have purchased, you may have a combined license key that activates TestComplete Platform and one or several Modules, or individual license keys - one for the Platform and the other for the purchased Modules (Desktop, Web or Mobile). If you have several keys, you need to perform the activation procedure for each key. Please note that Node-Locked licenses for the Modules should be activated on the machines where you are going to use these Modules.

You activate licenses using the License Management wizard that is built into TestComplete or shipped as a stand-alone executable with the License Manager utility. During the activation, the wizard interacts with the Sentinel LDK License Manager service that sends data to the SmartBear web server and receives the activation code in response.

The activation can be performed in automatic or manual mode. This applies to both Node-Locked licenses and Floating User licenses:

  • Automatic activation means that the wizard exchanges data with the SmartBear web site automatically (URLs https://ls1.smartbear.com and http://ls2.smartbear.com, port 443). All you need to do is to specify the activation data in the wizard.

    This activation mode requires that the computer where you activate the license has a working Internet connection. The Internet connection is required during the activation. It is not used at normal working time.

  • Manual activation implies that you exchange data with the SmartBear web server manually. You can choose this mode if your computer is not connected to the Internet for some reason. The License Management wizard contains detailed instructions that will guide you through the manual activation process. For the complete information, see Manual Activation Procedure.

The following images illustrate the activation process:

Activating Node-Locked licenses
Activating Floating User licenses

For detailed information on activating Node-Locked and Floating User licenses, see Node-Locked License - Activation Steps and Floating User License - Activation Steps.

Notes:

  • After the activation succeeds, your license key will be bound to the computer where you have activated the license. This computer becomes the License Manager PC. Every time the License Manager service starts, it checks whether it is running on the appropriate PC or not.

    If you need to uninstall and move the license to another PC, you should deactivate the license on the current License Manager PC first. To learn how to do this, see Uninstalling and Moving Licenses.

  • The activation consumes the license key. You will not be able to use this key to activate the license on other computers. To move a license to another computer, first, you need to deactivate it, and then activate it on the target computer using a new license key that you obtain on the SmartBear web site.

  • If you have a Floating User license, you only need to activate TestComplete once - on the License Manager PC. There is no need to activate it on each workstation that TestComplete will run on.

  • If you enter a new Floating User license key on the License Manager PC where another Floating User license is activated, the new activation data will be merged with the existing data.

    Node-Locked licenses are activated on individual workstations and cannot be activated one after another. Before activating a new license, you need to deactivate the existing license. However, this does not concern keys for TestComplete modules, that is, you can activate a license for a certain module if the machine does not have a license for it yet.

    A TestExecute license can be activated on the same computer where a TestComplete license is activated as TestExecute and TestComplete are different products.

    For more information on the problem and on possible workarounds, see Activating Multiple Licenses on One License Manager PC.

  • The activation request contains the following data:

    • License key
    • Your computer name
    • Motherboard ID
    • Master hard drive serial number

    The motherboard ID and master hard-drive serial number are used to “bind” the license to your computer. If you change both the motherboard and the master hard drive, you will have to update the license (a change made to one of these values is considered as a possible upgrade). Before upgrading your License Manager PC, we recommend that you unbind your license from the License Manager PC. For the complete information, see Moving Licenses.

To learn how to work around problems when activating TestComplete, see the Troubleshooting section.

For information on configuring the License Manager and managing licenses in your network, see the How To section.

See also
Activating Licenses | Activating Node-Locked License | Activating Floating User License | Activating Multiple Licenses on One License Manager PC | Using TestComplete on Virtual Machines


Activating Node-Locked License

Topics of this section describes requirements for and explains how to activate Node-Locked licenses of TestComplete.

Node-Locked License - Requirements

Describes software and hardware requirements for activating the Node-Locked licenses.

Activation Steps

Provides a step-by-step description of how to activate the Node-Locked licenses.
See also
Activating Licenses | Manual Activation Procedure | Activating Multiple Licenses on One License Manager PC


Node-Locked License - Requirements

The computer, on which you are going to install TestComplete, must match the software and hardware requirements mentioned in the TestComplete documentation. The information below is specific for installing and activating the TestComplete Node-Locked license:

  • Activate your license on a physical computer. Do not activate and use TestComplete on virtual computers.

    For information on possible workarounds, see Using TestComplete on Virtual Machines.

  • Node-Locked licenses can be activated in automatic or manual mode. Below, are requirements for automatic activation:

    • The computer, on which you activate the license, must have a working Internet connection. It uses the connection for activation of the license. After activating your license, it does not need the connection.

    • When activating your license, the license management modules send requests to and receive responses from the SmartBear web server (URLs https://ls1.smartbear.com and http://ls2.smartbear.com, port 443). Make sure the proxies and firewalls working in your network allow the activation requests. In most cases, firewalls or proxies do not block the requests, but you may need to change their settings if the activation fails.

    If your License Manager PC does not have an Internet connection, you can activate your license manually. See Manual Activation Procedure.

  • There must be no other TestComplete licenses installed on the computer where you are going to activate your license. For more information on this, see Activating Multiple Licenses on One License Manager PC.

See also
Node-Locked License - Activation Steps | Activating Node-Locked License


Node-Locked License - Activation Steps

This topic explains how to install and activate the Node-Locked licenses of TestComplete.

Before You Install

Activation Steps

Troubleshooting

Before You Install

  • Make sure that the computer where you are going to install TestComplete is a physical computer that meets the system requirements and has no another TestComplete license activated on it.

  • If you are going to use automatic activation, make sure your computer has an Internet connection.

  • To uninstall your TestComplete license and move it to another computer, you need to go through a special procedure of license deactivation. At that, you may need to contact SmartBear Sales Team (see Uninstalling and Moving Licenses). To save time in the future, we recommend that you plan the installations to avoid unnecessary moves of the license.

Activation Steps

A Node-Locked license can be activated in automatic or manual mode:

Automatic Activation

Manual Activation

Automatic activation is recommended. However, it requires a working Internet connection (it is needed only for activation, and it is not used during the working time). If the computer, where you are going to activate the license, does not have Internet access, activate the license manually.

Automatic Activation

To install and activate a Node-Locked license of TestComplete:

  1. Install TestComplete on your computer.

  2. Launch TestComplete. It will search for an active license on your computer and in the network.

  3. If you have a Node-Locked license for a previous version of TestComplete on your computer, TestComplete will connect to the SmartBear licensing website (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443) and check for updates available for your license.

    If an update is available (this is possible, for example, if you have an active maintenance subscription), TestComplete will show a message box suggesting that you activate the new license. Simply click Activate on this PC in the message box. TestComplete will activate your new license automatically.

  4. If TestComplete does not find any active licenses on your computer, it will show a message box informing you about this.

    Click Activate a license in the message box.

    This will open the License Management wizard:

    • On the first page of the wizard, choose Activate a new license on this computer and click Next. If you have an Internet connection to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), the wizard will choose the automatic activation mode.

    • On the next page of the wizard, specify the information needed for activation: the user name, company name, email and license key.

      You can find the license key on the TestComplete product page of the My SmartBear section of our web site (https://my.smartbear.com) or in the email message that we sent you after you had requested the license.

      TestComplete Platform and Modules are licensed separately. If the licenses you have purchased cannot be merged, the Sales Team sends individual keys for TestComplete Platform and Modules. In this case, you need to perform the activation procedure for each key you have.

      As for other values, you can enter either your user name, company name and email, or those of the license holder. We recommend that you enter your data.

      After you have specified the activation data, click Next to continue.

    • On the next page, you can specify the proxy authentication settings. Quite often, computers in offices connect to the Internet through a proxy server, not directly. Depending on the proxy type, you may need to specify the user name and password needed for the Web connection. Most proxies do not require authentication, so, most likely, you will not need to enter anything. If you are not aware of your proxy type or user name and password, ask your system administrator.

      After you have specified your proxy type and credentials, click Activate. The wizard will activate your license.

  5. If the activation succeeds, you will see the final page of the License Management wizard informing you that the activation is over.

    If the activation fails, the wizard will display an error message explaining the problem.

Manual Activation

Manual activation involves data exchange between the computer, on which TestComplete is installed, and the SmartBear web site. For detailed information on activation steps, see Manual Activation Procedure.

After Activation

If you have activated your license on a computer, where another license has already been activated, and the licenses have been merged, in TestComplete, enable the modules and plugins provided by the new license manually.

To do this, in TestComplete, open the File | Install Extensions dialog and enable the needed modules and plugins.

Troubleshooting

For information on license activation specifics, see Understanding the Activation Procedure.

For information on possible problems and workarounds for them, see the topics in the Troubleshooting section.

See also
Node-Locked License - Requirements | Activating Node-Locked License | Activating Multiple Licenses on One License Manager PC


Activating Floating User License

Topics of this section describes requirements for and explains how to activate Floating User licenses of TestComplete.

Floating User License - Requirements

Describes software and hardware requirements for activating the Floating User licenses.

Selecting License Manager PC

Describes how to select a computer to be used as the License Manager PC.

Activation Steps

Provides a step-by-step description of how to activate the Floating User licenses.
See also
Activating Licenses | Manual Activation Procedure | Activating Multiple Licenses on One License Manager PC


Floating User License - Requirements

When you use Floating User licenses, the number of TestComplete copies running concurrently is controlled by the License Manager. This topic describes requirements for the License Manager PC and computers on which TestComplete instances will run.

Requirements for the License Manager PC

Requirements for TestComplete Workstations

Requirements for the License Manager PC

  • When you activate a license, it is bound to the computer. This computer becomes the License Manager PC. TestComplete instances running on other computers will connect to this computer and request permission for the run. That is why we recommend that you activate Floating User licenses on a server computer that will always be available to test computers.

  • To activate the license, you can either install the stand-alone License Manager utility, or use TestComplete’s License Management wizard. We recommend that you use the License Manager utility to activate Floating User licenses.

  • System requirements: the licensing modules are installed with TestComplete automatically. TestComplete’s system requirements already include the requirements for these modules, so you do not need any additional hard-disk space or RAM.

    The separate installation package of the licensing modules - License Manager - does not have any special requirements for RAM and hard-disk space. The tool is a small lightweight application that you can install and run on any, even “weak” computer.

  • Activate TestComplete licenses only on physical computers. Do not use virtual computers as License Manager PCs. For information on how to run tests in virtual environments, see Using TestComplete on Virtual Machines.

  • The License Manager PC must have a local network connection. TestComplete instances running on other workstations in your network must be able to connect to the License Manager PC and get permission to run. If the License Manager PC does not have a working network connection, TestComplete instances on network computers will not start.

  • To exchange information with TestComplete instances, the license management modules use the TCP and UDP protocols and port 1947. Make sure that firewalls and proxies running in your network do not block these protocols and ports.

  • Requirements for automatic activation:

    • The License Manager PC must have an Internet connection. It uses the connection for license activation. After activating the license, it does not need the connection.

    • When you activate a license, the license management modules send requests to and receive responses from the SmartBear web server (URLs https://ls1.smartbear.com and http://ls2.smartbear.com, port 443). Make sure the proxies and firewalls working in your network allow the activation requests. In most cases, firewalls or proxies do not block the requests, but you may need to change their settings if the activation fails.

    If your License Manager PC does not have an Internet connection, you can activate your license manually. See Manual Activation Procedure.

  • If you activate a license on a computer where another license is already activated, the new license data will be merged with the existing data.

Requirements for TestComplete Workstations

A computer on which TestComplete will run must meet the following requirements:

  • It must match the hardware and software requirements mentioned in the TestComplete documentation.

  • It must have a local network connection. When starting, TestComplete connects to the License Manager and get permission to run. It also needs the connection during your TestComplete session, because TestComplete may connect to the License Manager and request permission to use some features.

See also
Activating Floating User License | Selecting License Manager PC | Floating User License - Activation Steps | Problems With License Activation


Selecting License Manager PC

When you launch TestComplete on a workstation, it must be able to connect to the License Manager and request permission to run. This imposes the following requirements for the License Manager PC:

  • This computer must be switched on.

  • It must have a working network connection.

  • The Sentinel LDK License Manager service must be running on it. This service is used by the License Manager to exchange data between the License Manager and TestComplete workstations (see How Licensing Subsystem Works).

As testers may need to run TestComplete at any time, you need to find a computer that always meets these requirements. Quite often, this is a server computer in your network. We recommend that you activate the TestComplete Floating User license on it.

See also
Activating Floating User License | Floating User License - Requirements | Floating User License - Activation Steps


Floating User License - Activation Steps

This topic explains how to install and activate the Floating User licenses of TestComplete.

Before You Install

Installation Steps

Activation Steps

⇒ Automatic Activation

⇒ Manual Activation

⇒ After Activation

Troubleshooting

Before You Install

  • Make sure that the computer where you are going to activate the license is a physical computer that meets the system requirements and has no other TestComplete licenses activated on it.

  • To move your TestComplete license to another computer, you need to go through a special procedure of license deactivation. At that, you may need to contact SmartBear Sales Team (see Uninstalling and Moving Licenses). To save time in the future, we recommend that you plan the installations to avoid unnecessary moves of the license.

Installation Steps

  • Select the computer that will run the License Manager (see Selecting License Manager PC). We recommend that Floating User licenses be activated on a server computer.

    If you are going to use automatic activation, make sure that the computer has an Internet connection.

  • Install the License Manager utility on this computer, or install one of TestComplete instances on it. We recommend that you use the License Manager utility unless you are going to run tests on the License Manager PC.

  • Launch the License Manager utility (or launch TestComplete) and activate the license as it is described below.

  • Install TestComplete on other computers in your local network.

    There is no need to enter the license key on these computers. However, you may need to specify the License Manager for connection. See Specifying License Manager for Connection.

Activation Steps

Floating User licenses can be activated in automatic or manual mode:

Automatic Activation

Manual Activation

After Activation

Automatic activation is recommended. However, it requires a working Internet connection (it is needed only for activation, and it is not used during the working time). If the computer, where you are going to activate the license, does not have Internet access, activate the license manually.

Note: If you already have an active TestComplete Floating User license on your License Manager PC and activate another license key on this PC, the licenses will be merged. If you already have an active Node-Locked license, you will not be able to activate another license key on this PC until you deactivate the existing one. For more information on this, see Activating Multiple Licenses on One License Manager PC.

Automatic Activation

  1. Launch the License Management wizard. To do this:

    • If you use the License Manager utility, click the operating system’s Start button (or Windows button). Then select All Programs | SmartBear | License Manager | Activate or Deactivate License from the ensuing menu. .

    -- or --

    • If you have a TestComplete instance on your computer, launch it. TestComplete will search for an available license on your computer and in the network.

      If an active license is not found, TestComplete will display a message box informing you about the problem. To open the License Management wizard, click Activate in this message box.

      If you have an active TestComplete license, TestComplete will start. To run the License Management wizard and activate another license, choose Help | Activate or Deactivate License from TestComplete’s main menu.

  2. On the first page of the wizard, select Activate a new license on this computer.

    If your computer has an Internet connection and has access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), the wizard will choose automatic activation.

  3. On the next page of the wizard, specify the information needed for activation: the user name, company name, email and license key.

    You can find the license key on the TestComplete product page of the My SmartBear section of our web site (https://my.smartbear.com) or in the email message that we sent you after you had requested the license.

    TestComplete Platform and Modules are licensed separately, that is, you need to repeat the activation procedure for each license key you have.

    As for other activation data, you can either enter your user name, company name and email, or enter those of the license holder. We recommend that you enter your data.

    After you have specified the activation data, click Next to continue.

  4. On the next page of the wizard, you can specify proxy authentication settings. Quite often, computers in offices connect to the Internet through a proxy server, not directly. Depending on the proxy type, it may ask you to specify the user name and password needed for connecting. Most proxies do not require authentication, so, most likely, you will not need to enter anything. If you are not aware of your proxy type or user name and password, ask your system administrator.

    After you have specified your proxy type and credentials, click Activate. The wizard will activate your license.

  5. If the activation succeeds, you will see the final page of the wizard informing your that the activation is over. You can then close the License Management wizard.

    If the activation fails, the wizard will display an error message explaining the problem.

Manual Activation

Manual activation involves data exchange between the License Manager PC and the SmartBear licensing web sites. For detailed information on activation steps, see Manual Activation Procedure.

After Activation

If you have activated your license on a computer where another license have been activated, and the licenses were merged, on your TestComplete workstations, enable the modules and plugins provided by the new license manually.

To do this, in TestComplete, open the File | Install Extensions dialog and enable the needed module.

Troubleshooting

For information on license activation specifics, see Understanding the Activation Procedure.

For information on possible problems and workarounds for them, see topics of the Troubleshooting section.

See also
Activating Floating User License | Floating User License - Requirements | Selecting License Manager PC | Activating Multiple Licenses on One License Manager PC


Manual Activation Procedure

During automatic activation, the license management modules exchanges data with the SmartBear web server automatically. If you cannot use automatic activation for some reason, you have to send data yourself. This topic describes how you can do this.

In our explanations, we will call the computer, where you are going to activate the license, the License Manager PC because it becomes the License Manager after the activation succeeds.

The entire procedure is very similar for Node-Locked licenses and for Floating User licenses. The only difference is that the License Manager PC is the computer where TestComplete is installed for Node-Locked licenses; and for Floating User licenses, the License Manager PC is the computer where a special License Manager utility or one of TestComplete instances is installed.

Requirements for Manual Activation

  • Manual activation implies that you manually exchange files between the SmartBear web server and the License Manager PC. To be able to do this, you need to have a computer that has a working Internet connection. You will use this computer as an intermediary between the License Manager PC and the SmartBear web site. You will send files from the License Manager PC to the intermediate computer and then to the SmartBear web site, and will download files from the web site to the intermediate computer and then transfer them to the License Manager PC.

    The intermediate computer must have access to the My SmartBear section of our web site (https://my.smartbear.com). Please make sure that firewalls and proxies working inside your network allow access to this web site.

  • Install TestComplete (or the standalone License Manager utility) on the License Manager PC. This will install licensing modules needed to perform the activation. If you are activating a Floating User license, we recommend that you use the License Manager utility.

Notes:

  • Activate your license on a physical computer. If you need to run tests in a virtual environment, see Using TestComplete on Virtual Machines.

  • There are some limitations on activating multiple licenses on one License Manager PC. For more information on this, see Activating Multiple Licenses on One License Manager PC.

Manual Activation Procedure

1. Start Activation on the License Manager PC

  1. Open the License Management wizard on the License Manager PC:

    • If you are going to activate the license via TestComplete, launch TestComplete on the License Manager PC. The TestComplete licensing subsystem will search for an active license.

      If an active license is not found, TestComplete will display a message box informing you about this. To open the License Management wizard, click Activate in this message box.

      If an active license is found, you can run the License Management wizard by selecting Help | Activate or Deactivate License from TestComplete’s main menu.

    -- or --

    • If you are going to activate the license using the stand-alone License Manager utility, launch it on the License Manager PC. To do this, click the operating system’s Start button (or Windows button). Then select All Programs | SmartBear | License Manager | Activate or Deactivate License from the consequent menu. The utility’s user interface includes the same tabbed pages and controls as TestComplete’s License Management Wizard does.

  2. If your computer is not connected to the Web or does not have access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), TestComplete will display a notification message and will suggest using offline (manual) activation. Choose using the offline (manual) activation mode.

  3. The wizard will display some information about the manual activation process. Click Next to proceed. The wizard will pass on to the next page where you need to specify the file name.

2. Collect Information About Your License Manager PC

To generate activation data, we need some information about your License Manager PC’s hardware. The wizard collects this information automatically and saves it to a .c2v file on your computer. You will see the file name in the wizard.

If you are activating the trial license, the wizard will also display the trial license key. Remember it or write it down.

3. Exchange Data With the SmartBear Web Site

Now, you need to pass the file storing the hardware-specific data of your License Manager PC to the SmartBear web site. To do this:

  1. Transfer the .c2v file generated in the previous step to the intermediate computer.

  2. On the intermediate computer, launch any web browser and open the following URL in it (this URL is also mentioned in the License Management wizard running on the License Manager PC):

    https://my.smartbear.com/manual-license-activation/

  3. On the opened web page, specify your license key and the name of your .c2v file. Click Send File. This will upload the file to the SmartBear web site. Note that transferring the file may take some time.

  4. The web site will process the file and generate activation data for your License Manager PC.

    After the web site generates the activation data, it will display a download link for the file that stores this data (this file has the .v2c extension). Download the .v2c file to the intermediate computer.

  5. Transfer the .v2c file with activation data from the intermediate computer to your License Manager PC.

4. Apply the Activation Data

After you have downloaded the activation data file and copied it to your License Manager PC, you can apply the activation data to this PC:

  1. On the License Manager PC, click Next in the License Management wizard. This will display the wizard’s next page with an edit box on it.

  2. Specify the name of the activation data file (.v2c) in the edit box and click Activate. This will save the activation data on the License Manager PC.

5. Finalizing the Activation

If the activation succeeds, the wizard will display a page notifying you that the license has been successfully activated. You can close the wizard then.

In case of an error, the wizard will display a message notifying you about the problems. Try to solve the problems and activate the license again. For information on how to solve possible problems, you can use the Troubleshooting and How To section of this Licensing Guide.

TestComplete Platform and Modules are licensed separately, that is, you need to repeat the activation procedure for each license key you have.
See also
Activating Licenses | Activating Multiple Licenses on One License Manager PC | Troubleshooting | How To


Upgrading Licenses

You can get TestComplete in three ways: as a new license, as an upgrade from the previous version or as an upgrade of the existing TestComplete 12 license. This section contains topics that describe the license upgrade concepts and explains how to apply the upgrades:

Upgrading Existing TestComplete 12 Licenses

Describes how to upgrade your existing license so that it supports more product instances.

Purchasing and Activating Upgrades of Existing Licenses

Describes how to buy and apply licenses that were purchased as upgrades for existing TestComplete 12 licenses.

Upgrading From Previous Versions

Explains the upgrade policy that is used to upgrade from previous versions of the product.
See also
About Licensing Guide | License Manager


Upgrading Existing TestComplete 12 Licenses

If you have a TestComplete 12 license and want to run more product instances or use more features, you may purchase the needed number of licenses as new licenses or as an upgrade of your existing license. This topic explains the difference and helps you choose the correct way to upgrade.

Upgrade or a New License?

How Licenses Are Upgraded

Upgrade From Node-Locked to Floating User License

Two Ways to Activate an Upgraded License

Purchasing and Activating Upgrades

Upgrade or a New License?

If you have a TestComplete 12 license and want to use more product instances, you can either purchase a new license or add product instances to your existing license. In both cases, you are still able to use the existing License Manager PC.

If you purchase a new license, you can activate it on your License Manager PC. The old and new licenses will be merged. Note that although licenses are merged on the License Manager PC, they remain individual licenses. You can separate them and move to different License Manager PCs.

If you choose to upgrade an existing license, you simply add new Platforms or Modules to the existing license. If you upgrade an existing license in this way, you will get a special upgrade file, which you can then apply on your License Manager PC. The old license will become unavailable, and you will use the upgraded one.

Note: After upgrading your license, enable modules and plugins provided by the new license on TestComplete workstations manually. To do this, in TestComplete, open the File | Install Extensions dialog, find the modules provided by the new license and enable them.

How Licenses Are Upgraded

  • Node-Locked licenses cannot be upgraded in the way described above. If you want to run more product instances, simply buy them as new licenses. Consider upgrading to a Floating User license for easier license management.

  • If you have a Floating User license, then you can purchase an upgrade and increase the number of TestComplete instances controlled by the license.

Upgrade From Node-Locked to Floating User License

If you have a Node-Locked license and want to upgrade it to a Floating User license, contact the SmartBear Sales Team.

When upgrading from Node-Locked to Floating User, you may want to choose a computer to be used for license management and activate the license on it (strictly speaking, you may want to change the License Manger PC). In this case, you will have to move the license before or after the upgrade. See the Two Ways to Activate Upgraded License section below.

Two Ways to Activate an Upgraded License

There are two ways to apply the upgraded license data:

  • You can apply the upgrade on the computer that has your current license activated (that is, you can apply the upgrade on the current License Manager PC).

-- or --

  • You can move the license to another PC and apply the upgraded license there (that is, you can combine the move and upgrade).

If you choose to upgrade your license on the existing License Manager PC, we will generate a new file containing the details of the updated license. You will download this file to your License Manager PC and apply it there. After this, your License Manager PC will support the product instances and features provided by the upgrade.

If you want to move the license to another PC, then you will first need to deactivate the license on your current License Manager PC. After that, we will generate a new license key which you can use to activate the license on any other computer.

For information on how to activate the upgraded license, see Purchasing and Activating Upgrades of Existing Licenses.

Purchasing and Activating Upgrades

For information on how to purchase and activate license upgrades, see Purchasing and Activating Upgrades of Existing Licenses.

See also
Upgrading Licenses | Purchasing and Activating Upgrades of Existing Licenses | Moving Licenses | Activating Multiple Licenses on One License Manager PC


Purchasing and Activating Upgrades of Existing Licenses

This topic explains how to purchase and activate upgrades of existing TestComplete licenses.

Purchasing an Upgrade of an Existing License

Activating an Upgrade

Purchasing an Upgrade of an Existing License

To purchase new TestComplete licenses or upgrades, please contact SmartBear Sales Team.

You can also order new licenses or upgrades from one of our partners.

Activating an Upgrade

To activate an upgraded license of TestComplete 12, follow these steps:

  1. Log in to your SmartBear Account:

    https://my.smartbear.com

    To log in, you will need the user name, email and customer id of the license holder. You can find these details in the email message we sent you after you had purchased the license.

  2. After you log in, your SmartBear Account page will display the list of products you own. From the products list, go to the TestComplete product page.

  3. Find the license for which you purchased the upgrade. Click Upgrade your license.

    (This link becomes available after you purchase an upgrade for the license. If there are no available upgrades for the license, the link is not shown).

  4. A click on the link opens the Upgrade Your License wizard that will guide your through the upgrade process.

    Follow the instructions that you will see on screen.

    Below is a brief description of the upgrade steps:

    1. The wizard will first to ask you to verify the upgraded license.

    2. Then it will ask you how you will apply the upgrade (see Two Ways to Upgrade Licenses):

      • You can either apply the upgrade on your current License Manager PC, or
      • You can move the license and apply the upgrade on another PC.

    3. If you choose to apply the upgrade:

      • The wizard will generate a special file that contains the updated license data. Download this file to your License Manager PC.

      • On the License Manager PC, open the following URL in a web browser:

        http://localhost:1947

        This will open the Sentinel Admin Control Center page.

      • Click Update/Attach in the Options menu on the left.

      • On the subsequent page, choose the license data file that you've downloaded and click Apply File to upgrade the license on the License Manager PC.

    4. If you choose to move the license to another computer:

      • Deactivate your license on your current License Manager PC.

        The deactivation procedure includes several steps. Follow the instructions that you will see on screen.

      • After the license is deactivated, the wizard will generate a new license key. You can find it on the TestComplete product page of the My SmartBear section of our web site. Log in to this section of the web site, copy the license key and use it to activate your license on a new computer. This computer will become the License Manager PC for the upgraded license.

See also
Upgrading Licenses | Upgrading Existing TestComplete 12 Licenses


Upgrading From Previous Versions

If you have a maintenance subscription, you can upgrade your previous version of TestComplete to new version 12 for free. When a new TestComplete version is available, a license for it is added to your SmartBear account automatically. You can find the license (and a link to the installation package) on the TestComplete product page of the My SmartBear section of our web site.

Otherwise, you can upgrade to new version 12 by paying part of the full price. For information on upgrade offers, please contact SmartBear Sales Team.

After you get a license for the new TestComplete version, you can activate it on any computer.

Note: If you have a Node-Locked license on your computer, then, when you launch TestComplete 11 after installation, it will connect to the SmartBear website to automatically update your license to the new version. If the update is available (this is possible, for instance, if you have an active maintenance subscription), TestComplete will show a message suggesting that you activate the new license key.

If TestComplete fails to update the license (this can happen, for example, if TestComplete cannot access the SmartBear website or if no updates are available for your license), you will have to get and activate the new license key manually.
See also
Upgrading Licenses | Upgrading Existing TestComplete 12 Licenses


Renewing Licenses

Topics in this section describe situations when you need to renew your TestComplete licenses:

When You Need to Renew a License

Describes the situations when you need to renew your TestComplete license.

Updating the TestComplete Trial Version to the Commercial Version

Explains how to update a trial TestComplete license after purchasing the product.

Renewing Licenses on License Upgrade

Explains how to upgrade your license to support more TestComplete instances that can run concurrently.

Renewing License on Hardware Changes

Describes what hardware changes will require a license renewal.

Updating License After Re-Installing or Upgrading the Operating System

Explains what changes to the operating system will require a license update.
See also
About Licensing Guide | Activating Licenses | Troubleshooting


When You Need to Renew License

You may need to renew your TestComplete license when:

  • You are updating a TestComplete trial version to commercial version. See Updating TestComplete Trial Version to Commercial Version.

  • You are upgrading your Floating User license. See Renewing Licenses on License Upgrade.

  • You are moving TestComplete from one computer to another. See Uninstalling and Moving Licenses.

  • You license was deactivated as a result of changes made to your computer’s hardware. See Renewing License on Hardware Changes.

  • You re-install or upgrade the operating system. See Renewing License on Re-Installing or Upgrading the Operating System.

Follow the links above to get information on how to renew your TestComplete license in each of these cases.

See also
Renewing Licenses


Updating TestComplete Trial Version to Commercial Version

To replace the trial version of TestComplete with a commercial version, you need to replace the trial license key with the “commercial” key that you get after purchasing TestComplete. There is no need to reinstall TestComplete.

Important Notes:

  • You cannot replace the trial license of TestComplete with another trial license of this product. If you try to do this, an error will occur. You can replace the trial version of the product with the commercial version only (for more information, see below).

  • You cannot activate commercial licenses of TestComplete in a virtual environment. If your trail license is activated on a cloud computer or on a virtual machine, you will not be able to update it to the commercial version. Activate your commercial license on a physical computer.

    For more information on using TestComplete in a virtual environment, see Using TestComplete on Virtual Machines.

The upgrade procedure is simple:

  • Log in to your SmartBear account:

    https://my.smartbear.com

  • Open the TestComplete product page and find the license key on it.

  • Enter the license key on the License Manager PC as it is described in the following topics:

    Node-Locked License - Activation Steps

    Floating User License - Activation Steps

Notes:

  • After you activate the commercial key, the trial key becomes invalid.

  • Important: when you upgrade the current key, the new activation information replaces the existing information. Since the trial version includes all three TestComplete modules (Desktop, Web and Mobile), some features will become unavailable after you activate the commercial license. See Some Features Are Missing After Updating a License and Upgrading Existing TestComplete 12 Licenses.

See also
Renewing Licenses


Renewing Licenses on License Upgrade

If you have a Floating User license, you can purchase an upgrade for the TestComplete license that will support more instances of each product. To do this, you simply activate the new license on your License Manager PC. For detailed information, see Purchasing and Activating Upgrades of Existing Licenses.

Since you are using a Floating User license, you need to activate the new license only on the License Manager PC. There is no need to activate it on TestComplete workstations.

Note: After you have activated the upgrade, the old license is no longer valid.
See also
Renewing Licenses | Purchasing and Activating Upgrades of Existing Licenses | Upgrading Existing TestComplete 12 Licenses


Renewing License on Hardware Changes

What Hardware Changes May Require a License Renewal

The activation request that is made by the License Manager when activating TestComplete license, contains data that is specific to the License Manager PC: the motherboard ID and the master hard-drive serial number. This data is used to prevent activating TestComplete licenses on other computers.

If you change either the motherboard, or the master hard-drive on the License Manager PC, this situation is recognized as a hardware upgrade. You do not have to renew the license in this case.

If you change both the motherboard and master hard-drive on the License Manager PC, you will have to renew the license, since in this case it is impossible to distinguish the hardware upgrade from an attempt to activate the TestComplete license on another computer.

If you have a Floating User license, you will have to renew the license on the License Manager PC only. There is no need to renew TestComplete instances running on other workstations.

Renewing the License

All renewal operations are performed on the License Manager PC. For Node-Locked licenses this is the PC, on which TestComplete is installed. For Floating User licenses this is the PC, on which TestComplete license was activated (see License Manager).

Renewing the license includes the following steps:

  1. Before upgrading hardware: deactivate your TestComplete license on the License Manager PC. For detailed information on how to do this, see Moving Licenses.

    After deactivating the license, you will get a new license key.

  2. Change the hardware.

  3. Use the new license key to activate the TestComplete license as it is described in the Activating Licenses section.

Questions or Problems?

If you are unable, for some reason, to perform these steps, please contact SmartBear Support Team.

See also
Renewing Licenses | Moving Licenses | Activating Licenses


Renewing License on Re-Installing or Upgrading the Operating System

After installing and activating your TestComplete license, the License Manager saves the activation information on your hard drive. This information may be lost when you are installing a newer operating system. This depends on the mode in which the operating system is installed.

The Windows operating systems can be installed in the upgrade mode. In this mode, the installation program can preserve the files, applications and settings you use on the previous OS. So, if the installation preserves the files, applications and settings, then renewing the TestComplete license is not needed. If the installation does not save your files, applications and settings, you will have to perform special actions for renewing your TestComplete license.

So, before updating the operating system, you need to check whether it can be installed in the upgrade mode or not. If the upgrade mode is unavailable, you will have to deactivate the TestComplete license before installing the operating system and activate TestComplete after installing the newer OS. See below for more information.

How to determine whether the upgrade is possible?

Typically, Microsoft operating systems can be installed in upgrade mode on previous versions of the OS. For instance, Windows Vista can be installed in upgrade mode on Windows XP, and Windows 7 can be installed in upgrade mode on Windows Vista. That is, if you upgrade the operating system from Windows XP to Vista, or from Vista to Windows 7, there is no need to renew the TestComplete license.

Some versions of the Windows operating system cannot be installed in upgrade mode on the operating system you use. For instance, you cannot upgrade a 32-bit OS to a 64-bit version, or upgrade from a higher edition to a lower one (like from Windows Vista Ultimate to Windows 7 Home Basic). One more example is Windows 7 cannot be installed in upgrade mode on Windows XP and earlier operating systems. So, if you are installing Windows 7 over XP, you will have to renew your TestComplete license.

For more information on whether the installation in upgrade mode is available, see the operating system’s documentation.

Renewing TestComplete License

If the operating system cannot be installed in upgrade mode, follow these steps:

  1. Before installing the operating system: deactivate your License Manager as it is described in the Deactivating Licenses topic.

    Deactivation will unbound your license from the License Manager PC. After this you will get the new license key, which you can obtain on the TestComplete page of the My SmartBear section of our web site.

  2. Install the newer operating system.

  3. Use the new license key to activate your license on the License Manager PC. See Activating Licenses for detailed information on how to do this.

Note: If you have the Floating User license, you will need to perform these steps only if you are updating the operating system on the License Manager PC. There is not need to do anything on workstations, where TestComplete is installed.
See also
Renewing Licenses


Uninstalling and Moving Licenses

The topics of this section describe how to uninstall and move TestComplete licenses:

Deactivating Licenses

Describes when you need to deactivate TestComplete licenses and how to do this.

Moving Licenses

Describes how to move a TestComplete license from one computer to another.
See also
About Licensing Guide


Deactivating Licenses

This topic discusses the uninstalling of TestComplete licenses.

Why Deactivation Is Needed

Some Notes Before You Start Deactivation

Automatic Deactivation

Manual Deactivation

How to Activate a License After Deactivation

When Deactivation Is Impossible

Why Deactivation Is Needed

License activation “binds” the license to a computer. Once a license has been activated, it remains bound to the computer until you deactivate the license. If you want to uninstall a TestComplete license from one computer and move it to another computer, you first need to “unbind” (or deactivate) the license and then activate it on another computer. There is no way to activate the license on a new computer without deactivating it on the current computer first.

The deactivation is also needed when you want to upgrade your license, for instance, from Node-Locked to Floating User, or when you want to replace one license with another.

Some Notes Before You Start Deactivation

  • You can deactivate the license by uninstalling license modules from the appropriate computer or manually in the My SmartBear section of our web site. Also, you can deactivate your license by using the License Management wizard that is built into TestComplete or is shipped as a stand-alone License Manager utility.

  • After deactivation is over, SmartBear generates a new license key. You can use it to activate TestComplete on another computer. You can find the key on the My SmartBear portal (https://my.smartbear.com).

  • You can deactivate a license 10 times only. Further deactivations require that you contact the SmartBear Sales Team.

  • The deactivation can be performed in automatic or manual mode.

    Automatic deactivation means that the wizard exchanges data with the SmartBear web site automatically. This mode is fast and recommended. It requires that the computer, where you deactivate the license, has a working Internet connection and that this computer has access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443).

    Manual deactivation implies that you exchange data with the SmartBear web site manually. Choose this mode if your License Manager computer is not connected to the Internet.

Automatic Deactivation

You can deactivate the license either by uninstalling the license management modules from your computer or by using the License Management wizard:

By Uninstalling Licensing Modules

By Uninstalling Licensing Modules

When you start uninstalling TestComplete (or the License Manager utility), the uninstallation wizard searches for active licenses on your PC. If it finds an active license, it will display a dialog box asking for your permission to deactivate the license. If you agree, the wizard will deactivate the license and then continue uninstalling TestComplete or the utility.

Via the License Management Wizard

  1. Launch the License Management wizard:

    • If you use the License Manager utility, click the operating system’s Start button (or the Windows button) and choose All Programs | SmartBear | License Manager | Activate or Deactivate License from the subsequent menu.

    – or –

    • If you have a TestComplete instance installed on your computer, choose Help | Activate or Deactivate License from TestComplete’s main menu.

  2. On the first page of the wizard, choose Move or deactivate the selected license and select the license you want to deactivate. Click Next.

    Note: To deactivate the license automatically, you need a working Internet connection to one of the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443).

  3. If you use a proxy server, on the next page of the wizard, choose I use proxy that requires authentication and specify the user name and password for your proxy server.

  4. Click Deactivate. The wizard will deactivate the specified license.

If the deactivation succeeds, you will see the final page of the wizard informing you that the deactivation is over. Then, you can close the License Management wizard.

If the deactivation fails, the wizard will show an error message explaining the problem.

Manual Deactivation

1. Find an Intermediate Computer

Manual deactivation implies that you exchange data with the SmartBear web site manually. To do this, you need to find a computer that is connected to the Internet. This computer will be an intermediary between your computer and the SmartBear web site. You will pass files from your PC to the intermediate computer and then to the SmartBear web site. Then you will download files from the site to the intermediate computer and then to your PC.

The intermediate computer must have access to the My SmartBear page of our web site (https://my.smartbear.com). Please check that the firewalls and proxies working on your network allows access to this web site.

2. Deactivation Steps

You can manually deactivate licenses either in the My SmartBear section of our web site or in the License Management wizard:

On the Web Site

In the License Management Wizard

On the Web Site

  1. Log in to the My SmartBear portal:

    https://my.smartbear.com

    You can find the login credentials in the email message you got after purchasing your TestComplete license.

  2. Click the link in the Latest Version column next to the TestComplete version whose license you want to deactivate. This will open the license information page.

  3. Select Deactivate License from the right-side menu, and follow the instructions on the screen.

In the License Management Wizard

  1. Open the License Management wizard:

    • In TestComplete, select Help | Activate or Deactivate License from the main menu.

    – or –

    • If you have the License Manager utility, click Start or Windows logo and select All Programs | SmartBear | License Manager | Activate or Deactivate License.

  2. On the first page of the wizard, choose Move or deactivate the selected license, select the desired license from the list and click Next.

    If your computer is not connected to the Internet or does not have access to the SmartBear licensing web sites (https://ls1.smartbear.com or https://ls2.smartbear.com, port 443), the wizard will display an error message and will suggest using offline (manual) deactivation. Confirm using the offline (manual) activation.

  3. The wizard will generate a file with information about the SmartBear product licenses activated on your computer. You need to upload this file to the SmartBear web site. You can do this from some computer that has access to the Internet. Follow the instructions you see on the wizard’s pages.

    As a result of your actions, the SmartBear web site will generate a file storing deactivation data. Download this file from the SmartBear web site, copy the deactivation file to your computer and then click Next in the wizard to continue.

  4. On the next page of the wizard, specify the deactivation file name and click Deactivate. The wizard will remove information about TestComplete license from your computer.

    If the deactivation succeeds, you will see the next page of the wizard (see below). Else, the wizard will show an error message explaining the problem.

  5. After removing license data, the wizard will generate a new file with information about product licenses stored on your computer. You need to upload this file to the SmartBear web site to confirm the deactivation. After that, you will get a new license key for activating TestComplete on another computer.

    The wizard displays the name of the generated confirmation file and instructions for uploading. Just follow these instructions to complete deactivation and get a new license key.

How to Activate a License After Deactivation

  1. Log in to the My SmartBear portal:

    https://my.smartbear.com

    You can find the login credentials in the email message you got after purchasing your TestComplete license.

  2. Open the license details page of the TestComplete version, whose license you deactivated.

  3. Scroll down to the License Keys table and click Get new product key.

You can use the new key to activate the license again (see Activating Licenses).

When Deactivation Is Impossible

License deactivation requires that the TestComplete license management modules be installed on your License Manager PC. If these modules are not available, the deactivation is impossible. This may happen, for example, if the modules are corrupted, if the License Manager PC is damaged, if it is not able to start or if the operating system fails to log in.

If you encounter a hardware or software problem that blocks the automatic or manual deactivation, please contact the SmartBear Sales Team.

See also
About Licensing Guide


Moving Licenses

This topic describes how to move TestComplete licenses from one computer to another:

Overview

License Moving Procedure

Overview

When working you may need to uninstall TestComplete from your computer and move it to another computer. If uninstalling and moving includes uninstalling and moving TestComplete’s license, then besides uninstalling TestComplete’s modules, you should also deactivate the license.

  • If you are using a Node-Locked license, you have to deactivate the license every time you uninstall and move TestComplete.

  • If you are using a Floating User license, you have to deactivate the license only if you uninstall and move the License Manager. Uninstalling and moving TestComplete instances running on workstations do not require license deactivation.

We would like to note that license deactivation should be performed before TestComplete modules are uninstalled and moved, because the deactivation procedure requires that certain modules of TestComplete’s licensing system be installed on your computer.

License Moving Procedure

A typical moving procedure includes the following steps:

  1. Before uninstalling TestComplete or the License Manager utility (if you use it), deactivate your license. You can do this in automatic or in manual mode. For information on these, see Deactivating Licenses.

    Note: If you deactivate the license successfully, you get a new license key. You can use this key to activate your license on any computer.

  2. After you deactivate the license, uninstall TestComplete or the License Manager utility.

  3. If you want to move the license to another computer, install TestComplete or the License Manager utility on this computer and activate the license using the new license key. For more information, see Activating Licenses.

See also
Deactivating Licenses | Uninstalling and Moving Licenses


How To

This section contains topics that discuss various licensing questions and explains how to configure and control the License Manager:

General Questions

Contains topics that answer typical licensing questions.

Working With License Manager

Contains topics that explain how to configure License Manager settings.
See also
About Licensing Guide | Troubleshooting


General Questions

This section provides answers on general questions about using TestComplete. It contains the following topics:

Using TestComplete on Virtual Machines

Installing TestComplete in Large Organizations

Using TestComplete in WAN

Sharing License Among Several Offices

Using TestComplete in Virtual Private Networks

Using TestComplete With Remote Desktop Services

Using TestComplete in Cloud Computing

Viewing License Usage Statistics

See also
How To


Using TestComplete on Virtual Machines

If you need to run automated tests in a virtual environment, use virtual computers as workstations where TestComplete is running, but do not activate your TestComplete licenses on virtual computers. The recommended approach to use TestComplete on virtual computers is the following:

  • Use a Floating User license of TestComplete. If you have a Node-Locked license, please contact the SmartBear Sales Team on the upgrade to Floating User license.

  • Select a physical computer that you will use as a License Manager PC.

    Make sure that your virtual computers are connected to your local network and have access to the computer.

  • Activate your license on a physical computer.

  • Install your TestComplete instances on virtual computers.

This way, you will be able to --

  • Easily manage your licenses.

  • Create, configure, clone and delete virtual machines with TestComplete installed without any limitations.

Activating TestComplete Licenses on Virtual Computers

You cannot activate a standard commercial license of TestComplete on a virtual machine. If the suggestions above are not suitable, contact the SmartBear’s Sales Team.

The license activated on a virtual computer will be bound to the virtual computer’s MAC address and to the host computer (the computer on which the virtual computer is currently running). If the virtual computer’s MAC address changes or you move the virtual computer to another host computer, your license will be blocked and you will not be able to use it.

To avoid possible issues, move your license to a physical computer.

Using TestExecute on Virtual Computers

If you just need to run automated tests on virtual machines (not create and debug tests), a possible solution is to use TestExecute.

  • A TestExecute license is always Floating User. Activate the license on a physical computer.

  • Install TestExecute on virtual computers.

  • Make sure that there is a functioning network connection between the virtual computers and the License Manager PC.

Note: TestComplete and TestExecute that are installed on virtual machines need a connection to the License Manager. Virtual machines must be connected to your local network and must have access to the License Manager PC.
See also
General Questions | TestExecute Licenses


Installing TestComplete in Large Organizations

This topic covers aspects of installing and activating TestComplete in large organizations.

Which License Type to Choose

If you are going to buy several TestComplete licenses that will work concurrently, we suggest that you buy a Floating User license for the desired number of users rather than the same number of Node-Locked licenses. Say, if you want to buy 10 copies of TestComplete, we would recommend they you purchase the Floating User license for 10 users rather than 10 Node-Locked licenses, because in this case it would be easier for you to activate the licenses and also lets you use them on virtual machines.

If you have a Floating User license, you will need to install the License Manager and activate the license on one computer only. No activation actions are needed on other computers (except for providing network access to the License Manager. See Specifying License Manager for Connection and Specifying Users Who May Connect to License Manager).

If you buy 10 Node-Locked licenses, you will have to activate each of these licenses on each computer.

Upgrading Licenses

When using Floating User licenses, pay attention to how the licenses are upgraded. If you have a TestComplete 12 license, you can purchase more instances as new licenses or as an upgrade of the existing license. We recommend that you use the upgrade. See Upgrading Existing TestComplete 12 Licenses for details.

See also
General Questions


Using TestComplete in WAN

TestComplete Floating User licenses can be used in a WAN. This lets you run TestComplete on your computer when you are working out of the office or share one TestComplete license among several offices of your company.

By default, TestComplete searches for the License Manager using broadcast messages. These message only work in local networks. So, the default search settings may cause problems if you want to use the same License Manager in different offices of your company.

There are two possible solutions for the problem. One is to modify the search settings on TestComplete workstations and specify the IP address of the License Manager PC. Another variant is to include all needed computers into a virtual private network. You can choose any of these variants.

Modifying the Search Settings

If your License Manager is not in the local network, you can alter the search settings on TestComplete workstations and specify the License Manager computer, to which TestComplete (or TestExecute) should connect:

  1. Assign a static external IP address to the License Manager PC. Please ask your network administrator for assistance, if needed. The static IP address is needed in order for TestComplete to be able to connect to the License Manager PC.

  2. On TestComplete workstations, modify the search settings and specify the License Manager PC using the static IP address. For detailed information on how to modify the search settings, see Specifying License Manager for Connection.

Organizing Virtual Private Networks

A possible alternative to specifying the static IP address is to include TestComplete workstations and the License Manager PC into the same Virtual Private Network (VPN). VPN means that all computers included in it work with each other as if they were included into the same local network.

If needed, ask your network administrator for assistance with creating a VPN.

Note that depending on VPN settings the broadcast requests may be ignored. In this case, you have to modify the search settings on TestComplete workstations and specify the License Manager PC using the name or network address that you use to connect to this PC in VPN. See Using TestComplete in Virtual Private Networks.

See also
General Questions | Sharing License Among Several Offices | TestExecute Licenses


Sharing License Among Several Offices

You can use TestComplete Floating User licenses inside wide-area networks (see Using TestComplete in WAN). This gives you the ability to share one TestComplete license among different offices of your company.

By default, the search settings, which TestComplete uses to find the License Manager, work only in local networks. So, if you are going to share the license, you may need to modify the search settings or organize a virtual private network. See Using TestComplete in WAN.

Before you decide to share a license, please think of how the license will be used. If you decide to share the license among different offices of your company, the License Manager PC will reside in one of the offices, and computers from the other offices will connect to this PC to check for the license. This makes the other offices dependent on the office where the License Manager PC resides. This scheme may be inconvenient in some cases. For example, it may be inconvenient if the offices reside in different countries worldwide.

Sharing a license makes sense if one of the offices uses TestComplete frequently and others use it from time to time. If several of your offices use TestComplete heavily, we recommend purchasing individual licenses for each of the offices.

See also
General Questions | Using TestComplete in WAN


Using TestComplete in Virtual Private Networks

TestComplete Floating User licenses and TestExecute can be used in Virtual Private Networks (VPN). VPN means that computers work with each other as they are included in the same local network.

However, you may need to modify the search settings on TestComplete or TestExecute workstations. By default, TestComplete’s licensing subsystem searches for the License Manager using broadcast messages. Depending on the VPN configuration, these messages may not function in virtual private networks. In this case, you can modify the search settings on TestComplete workstations and specify the License Manager computer, to which TestComplete (or TestExecute) should connect:

  1. On your TestComplete or TestExecute workstation, open the URL http://localhost:1947. This will open the Sentinel Admin Control Center.

  2. Select Configuration from the menu on the left. This will open the configuration pages.

  3. Switch to the Access to Remote License Managers page.

  4. In the Specify Search Parameters box of this page specify the name or IP address of the License Manager PC.

    Note: You should enter the same address that you use to connect to this PC in VPN.

  5. Click Submit to apply the changes.

See also
General Questions | Specifying License Manager for Connection | TestExecute Licenses


Using TestComplete With Remote Desktop Services

You may use TestComplete in server-based (or Citrix) environments: you may install TestComplete on a server, open several user sessions on this server, for instance, with the Remote Desktop service, and use TestComplete in these user sessions. That is, you can use TestComplete installed on a powerful server from “weak” workstations (“thin clients”).

The number of TestComplete instances that can be run in sessions depends on your license.

  • If you have a Node-Locked license, then only one TestComplete instance can run on your computer at a time. So, you can use TestComplete in one user session only.

  • If you have a Floating User license, the number of TestComplete instances that can run concurrently is specified by the license key. You will not be able to use more instances than the number specified by the key.

If you are going to run test projects via Remote Desktop connections, we recommend that you use a Floating User license on the server for the desired number of TestComplete instances.

Alternatively, you may purchase a TestExecute license, install it on the server and use TestExecute to run tests in user sessions.

See also
General Questions | TestComplete License Types


Using TestComplete in Cloud Computing

Before using TestComplete in a cloud environment, consider the following:

  • Cloud computers are virtual machines. This means that we do not recommend that you activate your license on a cloud computer as we do not recommend that you activate your license on virtual computers:

    • If you have a Floating User license of TestComplete, activate your license on a physical computer (you still can install and run TestComplete on cloud computers).

    • If you have a Node-Locked license, install and activate TestComplete only on physical computers. You cannot activate TestComplete on cloud computers.

    • If you have a trial version of TestComplete, you can install and activate it on a cloud computer; however, we do not recommend that you do it. Your license may be blocked after you restart a cloud computer. To avoid possible issues, activate your license on a physical computer.

  • The TestComplete (or TestExecute) instances that reside on cloud computers are running outside of your local network (see also Using TestComplete in WAN). For the instances to be able to connect to your License Manager PC, configure the network address of the License Manager PC and change the licensing search settings on the cloud computers:

    1. Assign a static external IP address to the License Manager PC. TestComplete (or TestExecute) instances that are running in the cloud will use this IP address to connect to the License Manager.

    2. On the cloud computer that has TestComplete (or TestExecute) installed, change the search settings of TestComplete’s licensing subsystem and specify the IP address of your License Manager PC. For detailed information on how to do this, see Specifying License Manager for Connection.

See also
General Questions | Using TestComplete in WAN | Specifying License Manager for Connection | TestExecute Licenses


Viewing License Usage Statistics

To understand the usage of TestComplete Floating User licenses in your company, you can use the HASP Log Analyzer utility on your License Manager PC. This utility is included in the License Manager and is located at the following path on the License Manager PC:

<License Manager>\LogAnalyzer\HaspLogAnalyzer.exe

HASP Log Analyzer helps you answer these questions:

  • How many people in your company use TestComplete daily, weekly, monthly, or at any other period?

  • Which users use which TestComplete modules (Desktop, Web or Mobile)?

  • Does your company need more TestComplete licenses, and how many more?

Before using HASP Log Analyzer, you need to enable license usage logging on your License Manager PC. For more information, see the HASP Log Analyzer help file (you can open it by pressing F1 in the utility).

See also
General Questions


Working With License Manager

This section describes some common operations that you can perform with the License Manager.

Controlling License Manager

Configuring License Manager From Remote Computer

Protecting Access to License Manager Settings With Password

Specifying License Manager for Connection

Specifying Users Who May Connect to License Manager

Viewing Users Connected to License Manager

Disconnecting users From License Manager

See also
How To | License Manager | How Licensing Subsystem Works


Controlling License Manager

The TestComplete license subsystem uses the Sentinel LDK License Manager service. It is used to activate TestComplete licenses and to control the number of TestComplete instances that can run concurrently.

To control this service, use the Sentinel Admin Control Center. This is a set of web pages provided by the service. To use these pages, no web server technologies are required (that is, there is no need to have Internet Information Services, Apache and so on).

1. Open the Admin Control Center

To open the Sentinel Admin Control Center, use the following URL:

http://localhost:1947

If you have permissions to configure the License Manager on another computer, you can open the Admin Control Center of this computer. To do this, use a URL like http://<computer-name_or_IP-address>:1947. For information on how to allow remote access to the configuration settings, see Configuring License Manager From Remote Computers.

2. Configuring Service Settings

After you open the URL, use the web interface pages to configure the Sentinel LDK License Manager service. For more information on typical tasks, see topics of this section, or use the web interface’s help.

See also
Working With License Manager


Configuring the License Manager From Remote Computers

To configure the License Manager, you use the Sentinel Admin Control Center. To launch it, you should open the URL http://localhost:1947 on the License Manager PC. This means you must have physical access to this PC.

In some cases it is more convenient to work with the Admin Control Center remotely. One of the ways to do this is to connect and work with the License Manager PC via the Remote Desktop Connection.

Another variant is to configure the Admin Control Center so that it allows access to its pages from remote computers. To do this:

  • Go to the License Manager PC.

  • Open the http://localhost:1947 URL in a web browser. This will launch the Admin Control Center.

  • In the Admin Control Center, select Configuration from the left-side menu. This will open the configuration page.

  • On the Basic Settings page select the Allow Remote Access to ACC check box. This will make the settings available for remote configuration.

    If needed, you may protect access to the Admin Control Center pages with a password. See Protecting Access to License Manager Settings With Password.

  • Click Submit to apply the changes.

Now you can access the Admin Control Center from any computer in the local network.

To open the Admin Control Center from your computer, launch your web browser and open the following URL in it:

http://License_Manager_PC_Name:1947

See also
Working With License Manager | Controlling License Manager | Protecting Access to License Manager Settings With Password


Protecting Access to License Manager Settings With Password

To avoid unauthorized change of the License Manager settings, you can protect access to the settings with a password. This topic explains how you can do this.

To protect access with a password

  1. Log in to the Sentinel Admin Control Center. To do this on the License Manager PC, open the following URL:

    http://localhost:1947

    If you want to configure the License Manager from a remote computer, open the following URL on that computer:

    http://License_Manager_PC_Name:1947

  2. Select Configuration from the menu on the left.

  3. Switch to the Basic Settings tabbed page.

  4. At the bottom of the page there is a Password Protection setting. Choose whether you want to protect only configuration pages or all of the setting pages.

    To specify a password, click Change Password and then set the desired password in the subsequent page.

    Note: The default password is an empty string.

  5. Click Submit at the bottom of the Basic Settings page to save the changes.

To change your password

  1. Log in to the Sentinel Admin Control Center.

  2. Go to the Configuration | Basic Settings page and click Change Password.

  3. Specify your new password on the subsequent page.

    To remove the password, specify an empty string.

If you forgot your password

  1. Log in to the License Manager PC.

  2. Delete the hasplm.ini file. This file is located in the <Program Files>\Common Files\Alladin Shared\HASP folder.

  3. Open the Control Panel, then go to Administrative Tools | Services.

  4. In the list of services, find Sentinel LDK License Manager.

  5. Right-click the service and choose Restart from the context menu.

    After that, you will be able to access the Admin Control Center.

The actions described above reset all Admin Control Center settings to their default values, so you will need to reconfigure all of the settings.
See also
Working With License Manager | Configuring the License Manager From Remote Computers | Controlling License Manager


Specifying License Manager for Connection

If you have several Floating User licenses, you may need to specify to which License Manager TestComplete instances will connect. For example, you may want some testers to work with the Web features and others to use Mobile.

When starting, TestComplete searches for an activated License Manager in the local network. However, by default the search order is not specified. So, TestComplete may connect to the License Manager, which you do not want it to connect to. To solve this problem, you should specify the License Manager for connection.

You specify the License Manager on the computer, on which TestComplete will run.

Follow these steps:

  1. Go to the computer, on which TestComplete will run.

  2. Close TestComplete.

  3. Open the Sentinel Admin Control Center. To do this, open the URL http://localhost:1947 in a web browser (see Controlling License Manager for more information).

  4. In the Admin Control Center, click Configuration in the left-side menu. This will open the Configuration pages.

  5. Navigate to the Access to Remote License Managers tabbed page.

  6. Clear the Broadcast Search for Remote Licenses check box.

  7. In the Specify Search Parameters box enter the search criteria for the License Manager PC. You can use any of the following:

    • Computer name (for instance, MyLicenseServer).
    • IP address (for instance, 192.168.1.10).
    • Broadcast IP address (for example, 192.168.1.255). In this case, the service will search for the License Manager PC among the computers whose IP address matches the search string.

  8. Click Submit to apply the changes.

Now TestComplete will connect to the License Manager PC, you specified in the search parameters.

You can also specify multiple search criteria. To do this, simply enter the desired computer names or IP addresses into the Specify Search Parameters box. Each search expression must be on a separate line.

Note: One of the reasons why you need to specify a License Manager for the connection is that there may be several License Managers in your network. If so, modifying access permissions on the License Manager PC may be easier than doing this on each TestComplete workstation. See Specifying Users Who May Connect to License Manager for details.
See also
Working With License Manager | Specifying Users Who May Connect to License Manager


Specifying Users Who May Connect to License Manager

If you have several Floating User licenses, you may need to specify users who can connect to each of the License Managers.

To specify the users

  1. Go to the License Manager PC.

  2. Open the Sentinel Admin Control Center. To do this, open the http://localhost:1947 URL in a web browser (see Controlling License Manager for more information).

  3. In the Admin Control Center, click Configuration in the left-side menu. This will open the Configuration pages.

  4. Navigate to the Users tabbed page.

  5. In the User Restrictions text box, specify those users or computers that will be allowed to connect to the License Manager. You specify access permissions in the form of access rules. Each rule must be specified in a separate line.

    To add a rule for a computer or user to the User Restrictions box:

    • Click Show Recent Users. This will invoke the list of computers where TestComplete has been launched and whose license requests have reached the License Manager PC.

    • In the list, click allow or deny for the target address and user. This will form an access rule and add it to the User Restriction box.

    You can also enter access rules into the User Restriction box manually. This approach lets you specify access rules for those users and computers that are not on the Show Recent Users list.

    For information on the access rule format, see below.

  6. Click Submit to apply the changes.

Access Rule Format

To specify the access rules, use strings of the following format:

allow=[Username]@[Hostname]

Username is the name of the desired user account. Hostname is either the name or IP address of the computer, on which the user is working. For instance, the following rule allows the user JohnSmith to connect to the License Manager when working on the JohnComp computer:

allow=JohnSmith@JohnComp

Hostname can be all. This means the computer name is ignored and the user is allowed to connect from any workstation. The same happens if you omit Hostname:

allow=JohnSmith
allow=JohnSmith@all

You may also skip Username or use all for it. This setting allows connection for any user working on the specified workstation:

allow=@JohnComp
allow=all@JohnComp

The allow=all@all rule allows connection for any user working on any PC.

To deny connection for certain users, use the rules of the following format:

deny=[Username]@[Hostname]

Below are some examples:

Denies access to the JohnSmith user working on the Tester computer
deny=JohnSmith@Tester

Denies access to the JohnSmith user working on any computer
deny=JohnSmith@all

Denies access to any user working on the BuilderComp computer
deny=all@BuilderComp

By using the allow and deny settings you can create the desired filters. For instance, the following settings will allow connecting to the license manager for all users except for Tester1 and Tester2:

allow=all@all
deny=Tester1@all
deny=Tester2@all

See also
Working With License Manager | Disconnecting Users From License Manager | Specifying License Manager for Connection


Viewing Users Connected to License Manager

Sometimes you may need to view users who connected to a License Manager. To do this:

  1. Go to the License Manager PC.

  2. Open the Sentinel Admin Control Center. To do this, open the http://localhost:1947 URL in a web browser (see Controlling License Manager for more information).

  3. In the Admin Control Center, click Sessions in the left-side menu. This will open the page that displays information on connected users and TestComplete features they use.

    You can see the user names in the User column. Most likely the connection list contains several pages. You may need to browse through them by clicking « prev page and next page » buttons below the list.

    The list is grouped by user names. Once you find the first entry of the user name in the list, you can check the next rows to see the features “taken” by the user.

You may configure the License Manager to prevent certain users or computers to connect to it. For information on how to do this, see Specifying License Manager for Connection.

For information on how to detach a user from the License Manager, see Disconnecting Users From License Manager.

See also
Working With License Manager | Controlling License Manager | Specifying License Manager for Connection | Disconnecting Users From License Manager


Disconnecting Users From License Manager

Sometimes you may need to disconnect users who connected to a License Manager. To do this:

  1. Go to the License Manager PC.

  2. Open the Sentinel Admin Control Center. To do this, open the http://localhost:1947 URL in a web browser (see Controlling License Manager for more information).

  3. In the Admin Control Center, click Sessions in the left-side menu. This will open the page that displays information on connected users and TestComplete features they use. You can see the user name in the User column and the feature name and ID in the Feature column.

  4. Find the desired user in the list. If the connection list includes several pages, you may need to scroll through them by clicking « prev page and next page » buttons below the list.

    The list is grouped by user names. Once you find the first entry of the user name in the list, you can check the next rows to see the features “taken” by the user.

  5. For each feature occupied by the user, click Disconnect in the Actions column (this column is rightmost in the list).

You may configure the License Manager to prevent certain users or computers to connect to it. For information on how to do this, see Specifying License Manager for Connection.

See also
Working With License Manager | Controlling License Manager | Specifying License Manager for Connection


Troubleshooting

This topic describes typical problems that may occur with license activation and usage:

Problems With License Activation

License Check Problems -- Node-Locked Licenses

License Check Problems -- Floating User Licenses

Unable to Activate License on Virtual Machine

Unable to Activate Two Licenses on the Same License Manager

License Loss After Rebooting

License Recovery (License Manager PC Is Non-Functional)

The License Key Has Already Been Used for Product Activation

The Activation Information Is Invalid

All the Platforms Allowed by Your License Key Are Already in Use (Running)

Unable to Find an Activated License for the Module

The License Manager PC You Used Last Time Is Not Available Now

Access to the License Manager is Denied

The System Time Has Been Changed on Your Computer or on the License Manager PC

Your Time-Limited License for the Platform Has Expired

You Are Using a Time-Limited License for the Module and It Has Expired

Some Features Are Missing After Updating a License

My Antivirus Displays Warning

An Internal Error Occurs When Starting the Sentinel License Manager Service

License Deactivation Is Impossible

Connection to the SmartBear Software License Servers Failed. A Connection With the Server Could Not Be Established

What to Do If the Troubleshooting Topics Do Not Help

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
How To | TestComplete License Types | How Licensing Subsystem Works | Activating Licenses


Problems With License Activation

You may face this problem if TestComplete encounters an error when activating your license. The licensing procedure includes the following steps:

  1. TestComplete’s licensing subsystem transfers the license key to the Sentinel LDK License Manager service.

  2. The Sentinel LDK License Manager service forms an activation request and sends it to the SmartBear web site (addresses ls1.smartbear.com and ls2.smartbear.com, port 443).

  3. Then the service receives the activation code in response and activates TestComplete.

Activating TestComplete Node-Locked license
Activating TestComplete Floating User license

If the activation fails, this means that an error occurred on one of these steps. TestComplete will display a message box notifying you about the problem. Below are some recommendations for resolving typical problems:

  • Make sure the Sentinel LDK License Manager service is running on the License Manager PC. The service is started automatically after the License Manager utility or TestComplete is installed. If this service is not running, activation is impossible.

    To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see if the services list contains the Sentinel LDK License Manager service and that the service is running.

    If the service is not running, try to start it. If this does not help, reinstall TestComplete and try again.

  • Check if you activated your license on a physical computer.

    You cannot active your license on a virtual computer. See Using TestComplete on Virtual Machines.

  • Check that your License Manager PC has an Internet connection:

    • Verify that you have a working Internet connection. Check that the network cable is connected to your computer and check that you can open web sites (for instance, you can try opening http://smartbear.com).

    • Check that the firewalls or proxies running on your computer and local network allow activation requests to the URLs ls1.smartbear.com and ls2.smartbear.com, and port 443. To determine whether a firewall (or proxy) blocks the port 443, try connecting to the My SmartBear section of our web site (https://my.smartbear.com).

      Ask your network administrator for help with configuring the firewall or proxy settings, if needed.

    • Some proxy servers and firewalls may require that you specify a user name and password for the connection. If you do not specify them, the activation will fail.

      Please ask your system administrator on the proxy server specifics. If your proxy requires authentication, try activating the license again and enter the proxy user name and password in the License Management wizard.

  • Make sure that your License Manager PC is configured to use TSL 1.0 for its Internet connections:

    • Launch Internet Explorer on your License Manager PC and select Tools | Internet options.

    • On the Advanced tab, find the Security | Use TSL 1.0 option and make sure that it is enabled.

  • The activation fails if the license key has already been used earlier. For information on how to resolve this problem, see The License Key Has Already Been Used for Product Activation.

  • TestComplete activation fails if you specified invalid activation data. For information on how to resolve this problems, see The Activation Information Is Invalid.

    If you are using a Floating User license, you should activate it on the License Manager PC only. There is no need to activate it on other workstations, on which TestComplete instances will run.

  • You may face issues when activating a license if another license is already active on the computer. To learn how to activate multiple licenses on one machine, see Activating Multiple Licenses on One License Manager PC.

If you are unable to activate your TestComplete license for some reason, contact our Support Team.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Contacting SmartBear


License Check Problems -- Node-Locked Licenses

When starting, TestComplete connects to the Sentinel LDK License Manager service running on the TestComplete computer and requests permission to run. If the License Manager permits the run, TestComplete continues the launch, else, it displays an error message informing you about the problem.

Below are some typical causes of the license check problem:

  • TestComplete cannot start if the license has not been activated. For instructions on license activation, see Activating Node-Locked License.

  • TestComplete cannot start if the Sentinel LDK License Manager service is not running.

    To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see whether the services list contains the Sentinel LDK License Manager service and that the service is running.

    If the service is not running, try to start it. If this does not help, reinstall TestComplete and try again.

See also
Troubleshooting | License Check Problems -- Floating User Licenses


License Check Problems -- Floating User Licenses

When TestComplete starts, its licensing system searches for the License Manager on the local computer and in the network (see How Licensing Subsystem Works):

Floating User License -- License Check

Below are some typical reasons why TestComplete may fail to find the License Manager:

  • TestComplete cannot start if the license has not been activated on the License Manager PC. To learn how to activate a Floating User license, see Activating Floating User License.

  • TestComplete’s licensing subsystem uses the Sentinel LDK License Manager service. If this service is not running, the license check will fail.

    Make sure this service is running both on your computer and on the License Manager PC. The service is started automatically after the License Manager utility or TestComplete installation. If this service is not running, activation is impossible.

    To determine whether this service is running, open the Control Panel | Administrative Tools | Services window and see if the services list contains the Sentinel LDK License Manager service and that the service is running.

    If the service is not running, try to start it. If this does not help, reinstall the License Manager utility (or TestComplete) and try again.

  • Your computer and the License Manager PC must have a functioning network connection. If one of these computers do not have network access, the license check will fail. To solve the problem:

    • Verify that your computer has a working connection. Check that the network cable is connected to your computer. Perform the same actions on the License Manager PC.

      If you are launching TestComplete on a virtual machine, check if this machine has a network card and that its host computer is connected to the network.

    • Check that your computer can access the License Manager PC. For instance, you can “ping” this PC. Perform the same actions with the License Manager PC.

  • By default, to find the License Manager PC, the licensing subsystem uses broadcast requests. This type of request may not work in certain type of networks. For example, they will not work if the License Manager PC is outside of the local network, in which your TestComplete workstation resides. Also, these requests may not function in Virtual Private Networks that are configured in a certain way.

    To solve the problem, on the TestComplete workstation you need to specify the License Manager PC, to which the TestComplete instance will connect.

    To solve the problem, modify the search settings:

    • On TestComplete workstation, open the http://localhost:1947 URL in your web browser. This will open the Sentinel Admin Control Center.

    • Choose Configuration from the menu on the left. This will display the configuration pages.

    • Switch to the Access to Remote License Managers tabbed page.

    • In the Specify Search Parameters box enter the computer name or IP address of the License Manager computer.

      If you are using a VPN, enter the IP address as you see it in your network. See also Using TestComplete in Virtual Private Networks. If the License Manager PC is outside of the local network, in which TestComplete workstation resides, then specify the static external IP address of the License Manager computer (see also Using TestComplete in WAN).

    • Click Submit to apply your changes. Then try to launch TestComplete again.

  • The Sentinel LDK License Manager service uses the TCP and UDP protocols and port 1947 to transfer data. Check that the firewalls or proxies running on your computer and local network do not block these protocols and port. Ask your network administrator for help with configuring the firewall or proxy settings, if needed.

  • The license check fails, if the number of currently running instances is equal to the maximum number allowed by the license. In this case, close the instances that are not needed or upgrade your license to a greater number of allowed instances. See All the Platforms Allowed by Your License Key Are Already in Use (Running).

  • The license check may fail if the License Manager settings deny your user account to access the License Manager. For more information about the problem and possible workaround, see Access to the License Manager is Denied.

  • You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

    Licensing Troubleshooter

See also
Troubleshooting | Unable to Find an Activated License for the Module | License Check Problems -- Node-Locked Licenses


Unable to Activate License on Virtual Machine

You cannot activate your licenses on virtual machines. You can activate them on physical computers only.

To run automated tests in a virtual environment, you use virtual machines as test workstations and run TestComplete (or TestExecute) instances on them and use some physical computer as the License Manager PCs.

In addition, if you have a Floating User license of TestComplete and you installed your TestComplete instance on a virtual computer, you do not need to activate the license there. All you have to do is to activate the license on a physical License Manager PC; activation on workstations is not needed.

For information on running TestComplete on virtual machines, see Using TestComplete on Virtual Machines.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Using TestComplete on Virtual Machines


Unable to Activate Two Licenses on the Same License Manager

If you try to activate a TestComplete license on a License Manager PC where another license is already active, the License Manager will either allow or disallow you to do this, depending on which license type you have. The following licenses cannot be activated if another license is already active, as the existing license data will be overwritten with the new data:

  • A Node-Locked license cannot be activated if another Node-Locked license with the same set of features is active.

  • A Node-Locked license cannot be activated if a Floating User license is active and vice versa.

  • A trial license cannot be activated if a commercial license is active.

  • A subscription license cannot be activated if a perpetual license is active.

  • No license can be activated if a subscription license is active.

If the License Manager detects that the new license cannot be activated due to the existing license, it displays an error message notifying you about the problem. To avoid the problem, choose another License Manager PC, or use a compatible license type.

For more information on activating multiple licenses, see Activating Multiple Licenses on One License Manager PC.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Activating Multiple Licenses on One License Manager PC


License Loss After Rebooting

After you activate your TestComplete license, TestComplete’s licensing subsystem stores the license information to a secure location on your computer and checks it when you run TestComplete.

Below are typical situations when TestComplete fails to check the license information after rebooting.

  • The license may be lost after rebooting if the operating system is installed on the dynamic disk. To check whether the disk is dynamic, follow the steps below:

    • Click Start | Control Panel.

    • In the Control Panel window, select the Administrative Tools | Computer Management | Storage | Disc Management category.

    • In the Disk Management window, check the Type of the disk on which the operating system is installed.

    If the target disk has the Dynamic type, we recommend that you convert the disk so it has the Basic type. For this purpose you can use special tools, for instance, EaseUS Partition Master or similar tools.

    If the license does not appear after converting the disk, please contact the SmartBear Sales Team for a new license key and assistance in resolving the problem.

  • Some protection products like Windows 7 Manager, CCleaner or Microsoft Malware Protection may prevent the licensing subsystem from accessing the license information or may remove this information from the machine. This typically happens after you reboot the computer. Since the licensing subsystem cannot find the license information, it reports to TestComplete that the license was not found and TestComplete is unable to start.

    This problem is typical for users of Node-Locked licenses, as the mentioned protection software is typically installed on end-user workstations. However, in general case, the problem can also occur with the Floating User license if you use malware protection products on the server where this license is activated.

    If you lost the license and have malware protection software on your License Manager PC, please contact the SmartBear Sales Team for a new license key and assistance in resolving the problem. You will have to uninstall this protection software and activate the license with the new key. If you have a Node-Locked license, consider upgrading to a Floating User license and activate this license on some server in your network on which no protection packages are installed. If you already have a Floating User license, consider activating it on some computer that has no protection software installed.

For more information on the causes of why TestComplete may fail to find the license, see License Check Problems -- Node-Locked Licenses and License Check Problems -- Floating User Licenses.

See also
Troubleshooting | License Check Problems -- Node-Locked Licenses | License Check Problems -- Floating User Licenses


License Recovery

License recovery helps you if your License Manager PC is non-functional. This topic provides step-by-step information on the recovery process.

When License Recovery Is Needed

Specifics and Requirements

License Recovery Steps

Troubleshooting

If License Recovery Does Not Help...

When License Recovery Is Needed

A license key can be used only once. After activation, the license is “bound” to the computer, on which the key is entered. This computer becomes the License Manager PC. You cannot use this key to activate a license on another computer.

If hardware of the License Manager PC changes, the license becomes unavailable. This can happen for various reasons. For example, you could replace a hard drive or motherboard of the License Manager computer, or they can be damaged or non-functional. Or, if you run TestComplete on a virtual machine, you could have started this machine on another physical computer.

TestComplete includes the License Recovery wizard, which helps you fix issues with your license in these cases. The wizard lets you “re-bind” the license to new hardware.

Specifics and Requirements

  • License recovery does not work for time-limited and trial licenses.

  • You can recover a license only twice.

  • To recover a license, you need a functioning Internet connection on your computer.

    Also, the network security settings should allow connecting to the SmartBear licensing web server (https://ls1.smartbear.com, port 443).

    If you do not have a functioning Internet connection on your computer, see below.

  • The restored license will be bound to your computer.

  • Do not recover a license if it is active on some other computer. Doing this will cause an unpredictable product behavior on both machines.

License Recovery Steps

  1. Install TestComplete and launch it.

    TestComplete will search for an active license on start. If the license is not found, it will display a message box warning you about the problem.

  2. In the message box, choose to restore (rebind) the license. This will invoke the License Recovery wizard.

  3. On the first page of the wizard, you specify your user name, company, email and the license key of the lost license.

    We recommend entering your user name, company and email, not those of the license holder.

    You can find the license key in the email message that you received from SmartBear after purchasing the license, or in the My SmartBear web portal (https://my.smartbear.com).

    Click Next to continue.

  4. On the next page, enter proxy authentication settings, if needed.

    In most cases, you do not have to enter anything. If you are not sure, please consult with your system administrator.

  5. Click Restore. The wizard will attempt to restore your license. If the license has been restored successfully, the wizard activates it and binds it to your computer.

Troubleshooting

TestComplete will display a message notifying you about the recovery result.

Below are typical causes of errors:

  • You misprinted the lost license key. Please make sure that you have typed the key correctly. You can find it in the email that you received from SmartBear after purchasing the license, or in the My SmartBear portal (https://my.smartbear.com).

  • You do not have a functioning Internet connection, or the firewall or proxy running in your system blocks access to the SmartBear licensing server (https://ls1.smartbear.com, port 443). Change the firewall or proxy settings. Ask your system administrator for help, if needed.

  • You are trying to restore a time-limited or trial license. This cannot be done.

  • You have exceeded the number of available recoveries.

  • The license that you are trying to restore has already been restored on another computer. If the license is unavailable on that computer as well, you need to specify its key, rather than the original license key.

If License Recovery Does Not Help...

If the wizard is unable to restore your license, or if you cannot use the wizard for some reason, contact the SmartBear Sales Team, they will help you resolve the problem. In the meantime, try using emergency license keys. They let you use the product for 14 days, which may help you avoid interruption of your business processes.

See also
Troubleshooting | Emergency License Keys | Contacting SmartBear


The License Key Has Already Been Used for Product Activation

You may face this problem when you are trying to activate the product using the license key that has already been used earlier.

Each license key can only be used once. After you successfully activated a TestComplete license on one computer, you cannot use the same license key to activate it on another computer.

If you have a Floating User license and face this problem, then perhaps you have activated your license on another computer and are now trying to activate it using the same license key on another computer. There is no need to do this. If you have the Floating User license, you need to activate TestComplete on one computer only. This computer will become the License Manager PC and will control the use of TestComplete instances in your network. There is no need to activate TestComplete on other workstations. You can simply install and use it there.

You will also encounter this problem if you moved the license to another PC and did not deactivate it on the previous License Manager PC properly. To move the license, it is not enough to uninstall TestComplete. Before uninstalling you need to “unbind” your TestComplete license from the current License Manager PC. You do this by applying a special file to the License Manager. For detailed instructions on this, see Moving Licenses.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


The Activation Information Is Invalid

You may face this problem if you entered invalid activation information into the License Management wizard. A possible reason is that you have misspelled some data or did not specify a value.

To solve the problem, please specify the correct activation information. You can find it on the TestComplete page of the My SmartBear section of our web site. You can copy and paste values from the TestComplete page to the License Management wizard.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Contacting SmartBear


All the Platforms Allowed by Your License Key Are Already in Use (Running)

A Floating User license allows you to run multiple instances of TestComplete on multiple workstations in the network. The number of instances running concurrently is determined by the license key. With floating licensing, you can start TestComplete only if the License Manager PC in your network has at least one license that is not currently in use.

If all the Platform licenses are currently in use, TestComplete fails to start and displays an error message notifying you about the problem. In this case, wait until another user finishes their TestComplete session (and, therefore, releases the license), so that you can start TestComplete on your machine.

Alternatively, consider upgrading your license to allow more concurrent users. For more information on upgrading licenses, see Upgrading Existing TestComplete 12 Licenses.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Upgrading Existing TestComplete 12 Licenses


Unable to Find an Activated License for the Module

TestComplete consists of plugins that provide certain functionality. Some of the plugins are included in TestComplete Platform, which provides the basic functionality. The other plugins are included in certain modules: Web, Desktop or Mobile.

When TestComplete is loading a plugin, it checks whether the plugin (feature) is supported by your TestComplete license (see How Licensing Subsystem Works). If the feature requires a different license than the one you have, TestComplete displays an error message that says the feature is unavailable and it includes the feature’s name.

Below are possible causes of the error and solutions --

  • The most typical cause is that you run a TestComplete instance in which plugins provided by another module are enabled. For example, you run TestComplete with the Desktop module enabled, while your license is for the Mobile module only. Unavailable features will be disabled automatically.

    If you want to use unavailable features, you have to upgrade your license. To do this, send an upgrade request to the SmartBear Sales Team.

  • For owners of Floating User licenses: another possible cause is that there are several License Managers in your network and that the TestComplete instance you launched has connected to a “wrong” License Manager.

    To find the License Manager in the network, by default TestComplete’s licensing system sends a broadcast request and uses the first found License Manager. It is possible that it will connect to the License Manager that does not have an activated license for the needed module.

    Also, even if the first found Manager was the right one, it is possible that the number of TestComplete instances connected to this License Manager has reached its limit, so TestComplete continued the search and then connected to a wrong License Manager.

    To solve the problem:

    • Check that the needed License Manager does not work with TestComplete instances, with which it should not work. If necessary, disconnect those users from it who should not work under this license. For information on how to do this, see Viewing Users Connected to License Manager and Disconnecting Users From License Manager.

    • Change the License Manager settings and specify the users who may connect to it. For information on how to do this, see Specifying Users Who May Connect to License Manager.

      Alternatively, you can change the License Manager settings on the workstation, on which TestComplete is running, and specify the License Manager that TestComplete should connect to. For information on how to do this, see Specifying License Manager for Connection.

    Important: after you resolve the problem with the License Manager, enable the needed plugins on those TestComplete workstations, on which you encounter this problem. The plugins are automatically disabled when the TestComplete instances are connected to the wrong License Manager and remain disabled until you enable them. For more information on how to enable plugins, see the Installing Extensions topic in TestComplete help.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Working With License Manager | How Licensing Subsystem Works


The License Manager PC You Used Last Time Is Not Available Now

A Floating User license is shared by a group of users within the same network. This kind of license is hosted on a dedicated computer, called License Manager PC, which controls the usage of TestComplete copies over the network.

When you start TestComplete, it searches for an active license on your computer and in your network. TestComplete displays this message if the License Manager PC that TestComplete used last time is not available, and TestComplete did not find other License Managers in your network.

To resolve the problem, follow the recommendations provided in the License Check Problems -- Floating User Licenses topic, and then try to launch TestComplete once again.

See also
Troubleshooting | License Check Problems -- Floating User Licenses


Access to the License Manager is Denied

When you launch TestComplete, it searches for an activated License Manager on the local machine and in the network. It is possible that TestComplete cannot connect to a License Manager, because the License Manager’s settings deny access to the License Manager for your user account, and TestComplete is unable to start.

To resolve the problem:

  1. Check the License Manager settings on the License Manager PC (if you are using a Floating User license).

    • Log in to the License Manager PC.

    • Open the http://localhost:1947 URL in a web browser. This will open the Sentinel Admin Control Center.

    • Select Configuration from the Options menu on the left. This will open the configuration pages.

    • Switch to the Users tab page.

    • Examine the User Restriction rules and remove any deny rules that include the desired user name, or add the allow rule for this user name. See Specifying Users Who May Connect to License Manager

  2. Verify the License Manager settings on your computer:

    • On your computer, open the http://localhost:1947 URL in your web browser. The Sentinel Admin Control Center opens.

    • In the Options menu, select Configuration.

    • Switch to the Users tab.

    • Examine the User Restriction rules and remove any deny rules that include your user name, or add the allow rule for your user account. For detailed information, see Specifying Users Who May Connect to License Manager.

Once the needed settings are specified, try to launch TestComplete again. If the problem does not disappear, contact SmartBear Support Team.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


The System Time Has Been Changed on Your Computer or on the License Manager PC

TestComplete’s licensing modules detect changes made to the system time in order to prevent attempts to extend time-limited licenses. Therefore, it is important to ensure that the computer time and date are set correctly prior to installing TestComplete.

If the licensing modules detect a change of the system time, you will see a message box informing you about the problem. For example, the problem occurs if you have manually rolled back the system clock on your computer after having installed TestComplete.

If the time change is part of your test plan, we recommend that you restore the correct time at the end of the test run.

If you get the message informing you about the time change, try doing the following:

  • On your computer, set the date and time that match your time zone and then restart your computer.

  • If the problem is not solved:

    • Set the date and time that you had when installing TestComplete on your computer. If you do not remember the exact date and time, set approximate values that are later than the date and time of installation.

    • Restart your computer.

    Note: This solution is temporary as it may be inconvenient to have an incorrect date and time on your computer. Contact the SmartBear Support Team for a persistent solution.

Sometimes, you may need to change the system time on a local machine and you may need to use TestComplete on this machine. Or you may have some problems with restoring the system time on a machine. In such cases, the problem is solved in different ways, depending on the license type you have:

Node-Locked license

Consider upgrading your license to the Floating User license and then activate it on a machine where the correct system time is set and users do not change it. For example, you can activate your license on a server connected to your network. After that, install TestComplete on the desired local computer and run it as usually. In this case, you can easily change the system time on your local machine and this will not affect the license.

For instructions on how to deactivate your license and then upgrade it to the Floating User license, contact our Support Team.

Floating User license

If you have a Floating User license, you need to deactivate it and then move it to another machine where the correct system time is set and users do not change it. For example, you can activate your license on a server connected to your network.

For more information on deactivating your license and moving it, see Uninstalling and Moving Licenses.

To resolve the problem, you can also use the Licensing Troubleshooter on SmartBear’s web site:

Licensing Troubleshooter

The troubleshooter will also help you collect information needed to submit a request to the SmartBear Support Team.

See also
Troubleshooting | Contacting SmartBear


Your Time-Limited License for the Platform Has Expired

This problem may occur when you are using a trial version of TestComplete. This version is time-limited and only works for 30 days. After the trial period is over, TestComplete shows you a message notifying you that the time-limited license is over and that you need to obtain a permanent license in order to continue using TestComplete. To purchase a TestComplete license, contact SmartBear Sales Team or your local SmartBear reseller.

This problem may also occur if you already have a permanent TestComplete license, but have not yet activated it. The way you can do this depends on the license type. For detailed information, see Activating Licenses.

For information on which license type you have, see How to Determine License Type.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Contacting SmartBear


You Are Using a Time-Limited License for the Module and It Has Expired

You may face this problem if you activated TestComplete’s trial (time-limited) license and then purchased and activated a commercial (permanent) license of TestComplete. The trial version is time-limited and enables you to evaluate the product within 30 days. The trial version supports all of the TestComplete features provided by the Desktop, Web and Mobile modules, while the license you have purchased may support only some of them. After you activate the license, the trial features that do not agree with the license will remain functional until the end of the trial period. After the trial period is over, you receive an error message notifying you that the specified features are no longer available.

To disable the unavailable features and continue using TestComplete, click Disable in the error message box.

To activate a module, you need to purchase and activate a license for it.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


Some Features Are Missing After Updating a License

TestComplete consists of TestComplete Platform and three Modules: Desktop, Web and Mobile. Each component is licensed separately. TestComplete modules extend TestComplete's basic functionality with a number of specific features. Since the modules are licensed separately, some features may become unavailable after you update your license.

For example, you activate the commercial license of TestComplete after evaluating the trial version. Since the trial version includes all three modules (Desktop, Web and Mobile), some features may become unavailable upon activating the commercial license if it does not support some modules.

If the features you need are missing after updating your license, contact SmartBear's Sales Team to resolve the problem.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Activating Multiple Licenses on One License Manager PC


My Antivirus Displays Warning

After you installed TestComplete, some antiviral programs (for example, AVG or McAfee AntiVirus) may report that they found a virus in one of TestComplete's modules. SmartBear always checks its products’ installation packages for viruses, worms, trojans and other malicious code. So, there can be two major causes for the message:

  • The version of the antivirus software you are using is not the latest version. For example, some earlier versions of the AVG Antivirus and McAfee AntiVirus could report TestComplete modules as viruses. The latest versions of this antivirus do not report these issues with these modules. So, to solve the problem, install the latest version of your antivirus software and update the antivirus databases to the following versions:

    • AVG version 9.0.790 or later.
    • McAfee AntiVirus Plus version 10.5.189.0 or later with database version 6099 or later.

  • The TestComplete installation package could be infected after it was downloaded from the SmartBear web site. Try download the package again.

Note: There is one more issue that can be caused by antivirus software (Lumension Endpoint Security). For detailed information, see An Internal Error Occurs When Starting the Sentinel License Manager Service.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | An Internal Error Occurs When Starting the Sentinel License Manager Service


An Internal Error Occurs When Starting the Sentinel License Manager Service

There is a known issue with the License Manager that occurs if you use TestComplete ver. 9.30 or later on Windows 7 machines where Lumension Endpoint Security ver. 4.4.1080 is installed. This is a known software conflict caused by the Lumension Device Control Module.

This issue has been fixed in Lumension Endpoint Security version 5.5. We recommend updating to ver. 5.5 or newer.

If the update is impossible, try the following workarounds:

  • Disable the Lumension Device Control Module. This may require administrator privileges.

  • If you have no privileges to disable the Device Control Module, you can downgrade to TestComplete 9.20 or earlier. It includes an older version of the licensing modules that does not conflict with Lumension software.

See also
My Antivirus Displays Warning | Troubleshooting


License Deactivation Is Impossible

The license deactivation requires that TestComplete’s licensing management modules to be installed on the License Manager PC. That is why the license deactivation should be performed before you uninstall TestComplete or the License Manager utility from the License Manage PC.

If the License Manager PC or the license management modules on it are not available, the deactivation is impossible. This may happen due to various reasons. For instance, the License Manager PC may be damaged or unable to start, the operating system may fail to log in, the modules may be deleted or corrupted, and so on.

If you encounter a hardware or software problem that makes the license deactivation impossible, please contact the SmartBear Sales Team.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting | Deactivating Licenses | Moving Licenses


Connection to the SmartBear Software License Servers Failed. A Connection With the Server Could Not Be Established

When you activate (or deactivate) a license, your License Manager may report that it cannot connect to the SmartBear Software licensing servers.

This can happen if your system is configured not to use TSL 1.0 for its Internet connections.

To view and configure your system’s internet settings:

  • Launch Internet Explorer on your computer and select Tools | Internet options.

  • Switch to the Advanced tab.

  • Locate the Security | Use TSL 1.0 option.

  • If the option is disabled, enable it.

  • Click OK to save the changes and close the dialog. You may also need to close Internet Explorer for the changes to come into effect.

Then retry activating (or deactivating) the licenses.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting


What to Do If the Troubleshooting Topics Do Not Help

The Troubleshooting section covers most typical problems that you may face when activating and using TestComplete licenses. If you are unable to resolve the problems yourself after reading these topics, please send a message to SmartBear Support Team. For information on how to contact it, see Contacting SmartBear.

Important: When writing to the Support Team, please specify the exact error message you get during product activation or usage. To get this error message, click within the message box and then press Ctrl+C. This will copy the message’s text to the clipboard. You can then paste this text into your message.

You can also try resolving the problem by using the Licensing Troubleshooter on our web site:

Licensing Troubleshooter

See also
Troubleshooting